
C	A test driver
C       implicit none
C	include 'model.inc'
C	integer grid,grid_map,grid_size,grid_pts
C	real*8 grid_rot,E,E_b,E_c
C	real*4 b_occup,c_occup
C Array sizes and initialization values for above in 'model.inc'
C	real*4 angle/120./
C	call mc_grid_plot(angle)
C	end                    
C
C This draw an image on the workstation
C
C The input parameters are:
C batch (logical*1)
C angle
C GRID_SIZE, GRID_PTS
C GRID_MAP(2,144)
C GRID_ROT(GRID_PTS)
C N_SIDES
C GRID_X(GRID_PTS)
C GRID_Y(GRID_PTS)
C GRID_BX(GRID_PTS)
C GRID_BY(GRID_PTS)
C GRID_CX(GRID_PTS)
C GRID_CY(GRID_PTS)
C B_OCCUP(GRID_PTS) 
C C_OCCUP(GRID_PTS) 
C MOVE_LIST(800),N_MOVE,N_TYPE(800)
C alpha*8,beta*8,ggamma*8,e_ave*8,e_rms*8,n_steps,
C temperature*8, b_occup_frac, c_occup_frac,delta*8,rad0,rad1
C dater,timer
C
	SUBROUTINE MC_GRID_PLOT(batch)
        implicit none
	EXTERNAL CLI$M_NOWAIT,CLI$M_NOTIFY
C	INCLUDE 'SYS$LIBRARY:UISENTRY'
C	INCLUDE 'SYS$LIBRARY:UISUSRDEF'
	include 'model.inc'
c	integer grid,grid_map,grid_size,grid_pts
c	real*8 E,E_b,E_c
c	real*4 b_occup,c_occup
C Array sizes and initialization values for above in 'model.inc'
	INTEGER*4 VD_ID,WD_ID,Bord_ID,TRIAD_ID,I,TRIAD_ID_2
	integer site_c_id,site_b_id, mask,I_CHAR,hcuis$write_display
	integer status,lib$spawn,cli$m_notify,cli$m_nowait,n_sides
	integer*4 ellipse_id,ellipse_id2,I_STATUS,uis$delete_object
	REAL*4  A,B,gamma,SCALE(2,3),SCALE1,x_shift,y_shift,
	2 	EL_SCALE(2,3)
	REAL*4  xmax,ymax,yscale,aangle,cosi,sine,pi2_3,twopi
	REAL*4  X1,Y1,X2,Y2,X3,Y3,X4,Y4,X,Y,xmin,ymin,XX,YY,xn(20),
	2 	yn(20),x2n(10),y2n(10),xx_mean,yy_mean
	integer n_steps,info_id,hard_type,number
	real*8 alpha,beta,ggamma,e_ave,e_rms,temperature,delta,delta_2
	real*4 b_occup_frac,c_occup_frac,xmin2,rad0,rad1
	INTEGER MOVE_LIST(800),N_MOVE,N_TYPE(800),MOVE_ID, J,
	2 I_A1,I_A2, II_A1, II_A2
	logical*1 check,hc_init_flag/.false./,batch
	character*8  timer,dater*9
	character*32  FONT_ID /'DWYSINS006OK00GG0001UZZZZ02A000 '/
	CHARACTER*32  FONT_ID1/'DTABER0I03WK00PG0001UZZZZ02A000 '/
	CHARACTER*32  FONT_ID2/'DWYSINS0050K00GG0001UZZZZ02A000 '/
        CHARACTER*32  FONT_ID3/'DVWSVT0R07SK00GG0001QZZZZ02A000 '/
C 	CHARACTER*30 PLOT_DISK/' DUA1:[SCAN_SOFTWARE.HARDCOPY]'/ ! WISPHX
 	CHARACTER*30 PLOT_DISK/'      $D2:[W_SCRATCH.HARDCOPY]'/ ! COMA
	CHARACTER CHAR,CR/13/,LF/10/,io_string*20
C
      STRUCTURE/AWAY/
      INTEGER*4 CODE1               
      INTEGER*4 ATTR1               
      INTEGER*4 CODE2               
      INTEGER*4 ATTR2               
      INTEGER*4 END_LIST
      END STRUCTURE
C
      RECORD/AWAY/WINDOW
C
	RETURN

C Plot three-fold sites
	
	ENTRY PLOT_3_FOLD
	return

C Plot three-fold sites	

	ENTRY PLOT_N_FOLD(N_SIDES)
	return

C Plot dopant sites
	
	entry PLOT_DOPANT        	

  99	RETURN

	ENTRY plot_moves(move_list,n_move,N_TYPE)
	RETURN

C
C	call plot_MC_info(alpha,beta,ggamma,e_ave,e_rms,n_steps,
	entry plot_MC_info(alpha,beta,ggamma,e_ave,e_rms,n_steps,
	2 temperature,delta,delta_2,rad0,rad1)
	return
C
	ENTRY PLOT_HC_MODEL(HARD_TYPE)
	RETURN
	
	ENTRY DISABLE_GRAPHICS
	RETURN

	ENTRY ENABLE_GRAPHICS
	RETURN
                    
	ENTRY DATA_TO_DISK(N_Sides,batch,move_list,n_move,N_type,
	2 alpha,beta,ggamma,e_ave,e_rms,n_steps,
	2 temperature,delta,delta_2,rad0,rad1)
	call time(timer)
	call date(dater)
	open(unit=17,name='monte_carlo.tmp',form='unformatted',
	2 status='new')
	write(17) grid_size,grid_pts,n_sides,n_move
	write(17) batch
	write(17) angle
	write(17) alpha,beta,ggamma,e_ave,e_rms,n_steps,
	2 temperature,delta,delta_2,rad0,rad1,dater,timer
	write(17) GRID_MAP,GRID_ROT
	write(17) B_OCCUP,C_OCCUP
	write(17) GRID_X,GRID_Y,GRID_BX,GRID_BY,GRID_CX,GRID_CY
	write(17) MOVE_LIST(800),N_MOVE,N_TYPE(800)
	close(unit=17)

!	STATUS=LIB$SPAWN('@MODEL_PLOT_BATCH.COM',
!	2 , ! PLOT_DISK//'HARDCOPY.DAT',
!	2 , ! PLOT_DISK//'HARDCOPY.DAT',
!	2 MASK,'MC_PLOT')

        return
	END

