$! this command procedure is a framework for building individual
$! login command procedures
$
$! Commands you want executed no matter mode of login
$
$  IF F$MODE() .NES. "INTERACTIVE" THEN GOTO ENDINTER
$! Commands you want executed only in interactive mode
$  EV*E :== EDIT
$! IF F$SEARCH("SYS$MANAGER:MGRMENU.COM").NES."" THEN @SYS$MANAGER:MGRMENU
$ FTP :== $UCX$FTP/ULTRIX
$ node_name = f$getsyi("NODENAME")
$ node_name := 'node_name'>
$ set prompt = 'node_name'
$ sd	:== set def  
$ submit :== submit/noprint
$ d :== dir sf.par2_*
$ home	:== set def $d5:[MAO]
$ d0  	:== set def $d0:[MAO]
$ wide  :== set term/wid=132
$ coma    :== set host coma  
$ comb    :== set host comb   
$ wisphx  :== set host 50183::
$ nar*row :== set term/wid=80
$ mnt :== monitor proc/topcpu
$ d2	:== set def $d2:[mao]
$ SHUXIA  :== set def $d2:[mao.SHUXIA]
$ PROGRAM  :== set def $d2:[mao.PROGRAM]
$ PROGRAM  :== set def $d2:[mao.PROGRAM]
$ PASKER  :== set def $d2:[mao.PROGRAM.PASKER]
$ FLOWCHART  :== set def $d2:[mao.PROGRAM.FLOWCHART]
$ mc    :== set def $d5:[mao.mc]  
$ namc    :== set def $d5:[mao.namc]  
$ trimc    :== set def $d5:[mao.trimc]  
$ f_code   :== set def $d5:[mao.f_code] 
$ dir1  :== set def $d2:[mao.dir1]
$ dir2  :== set def $d2:[mao.dir2]
$ dir3  :== set def $d2:[mao.dir3]
$ dir4  :== set def $d2:[mao.dir4]
$ chem1 :== set def $d2:[mao.dir4.chem1]
$ chem2 :== set def $d2:[mao.dir4.chem2]
$ chem3 :== set def $d2:[mao.dir4.chem3]
$ chem4 :== set def $d2:[mao.dir4.chem4]
$ chem5 :== set def $d2:[mao.dir4.chem5]
$ paper :== set def $d2:[mao.paper]      
$ xray  :== set def $d2:[mao.xray]
$ ppvxray  :== set def $d2:[mao.ppvxray]
$ li       :== set def $d2:[mao.ppv_li]  
$ na       :== set def $d2:[mao.ppv_na]  
$ rb       :== set def $d2:[mao.ppv_rb]  
$ instruction  :== set def $d2:[mao.instruction]
$ pot   :== run $d1:[pdavis.code]pot.exe
$ bnl   :== set def $d2:[mao.bnl]
$ bnl1  :== set def $d2:[mao.bnl1]
$ pr    :== print/queue=office$laser       
$ contour:== r $d1:[winokur.soft]contour.exe
$ set term/inquire
$! TEXT ROUTINES
$!
$! BIB*TEX :== r $d0:[tex.latex]bibtex.exe
$ PLO*T :== r $d2:[prosatj.soft.plot]plot_io
$ CONT*OUT :== r $d2:[w_scratch.software]CONTOUR.exe
$ @$d2:[w_scratch.software]printer.com
$! te*xt :== @$d1:[winokur]text.com
$! ln3 :==  @$d1:[winokur]office.com
$ps*cript :== @$d1:[winokur]pscript.com
$! off*ice :== copy $d2:[winokur.hardcopy]hardln3.com -
 $d2:[winokur.hardcopy]hardcopy.com
$! pos*t   :== copy $d2:[winokur.hardcopy]hardps.com -
 $d2:[winokur.hardcopy]hardcopy.com
$! sf :== r $d2:[w_scratch.software]thio_sf.exe
$! wsf :== r $d2:[mao.namc]sf.exe
$! TEKOFF :== R $D1:[WINOKUR]WYSE.EXE
$ TEKI*NIT :== R $D1:[WINOKUR]TEK.EXE
$ TEKB*EGIN :== @$D1:[MAO]TEKBEGIN.COM
$!
$ DEFINE SIGHT$DIRECTORY SYS$SYSROOT:[SIGHT]
$ DEFINE SIGHT$SARAH_FONTS TRUE
$ DEFINE SIGHT$DRAWING_SHAPE LANDSCAPE
$ land*scape :== define sight$drawing_shape landscape
$ port*rait :== define sight$drawing_shape portrait
$!
$ENDINTER:
$  IF F$MODE() .NES. "BATCH" THEN GOTO ENDBATCH
$! Commands you want executed only in batch mode
$ENDBATCH:

