**********************************************************************
*     This file includes all of parameters which describe the par used
*     by both phase_1 and phase_2
**********************************************************************

      CHARACTER*50  FILE_NAME        !expt. data file name
      CHARACTER*50  DEFAULT_DIR      !directpry where data file is located
      CHARACTER*50  CURRENT_DIR      !directpry where you are in
      CHARACTER*24  MONOMER          !char to identify monomers

      CHARACTER*50  LOR              !lot type

      INTEGER*4     LAYER            !which layer 
      INTEGER*4     LORTYPE
      INTEGER*4     N_PHASES         !number of phases in use

      REAL*4        LAMDA            !wavelength of x-ray
      REAL*4        ANISO_ANGLE      !
      REAL*4        ANISO_WIDTH      
      REAL*4        XMIN,XMAX        !minima and maxima of two theta
      REAL*4        YMIN,YMAX        !minima and maxima of diffrac. intensity
      REAL*4        X_SHIFT,Y_SHIFT  !shift along x and y axises
      REAL*4        X_MULT,Y_MULT    !multiple factor of x and y data
      REAL*4        WMIN,WMAX        !window size
      REAL*4        ASMIN,ASMAX      !auto-scale range, min and max 
      REAL*4        WIDTH0           !minimum resolution width of detector  
      REAL*4        K_SCHERRER       !cofficient in Scherrer equation       
      LOGICAL       INIT/.TRUE./
      LOGICAL       ASLOG/.TRUE./    !auto scale logic

      COMMON/NAME/     FILE_NAME,DEFAULT_DIR,MONOMER,CURRENT_DIR
      COMMON/LAYLOR/   LAYER,LORTYPE,n_phases
      COMMON/STAFF/    XMIN,XMAX,YMIN,YMAX,X_SHIFT,Y_SHIFT,
     *                 X_MULT,Y_MULT,LAMDA
      COMMON/ANISO/    ANISO_ANGLE,ANISO_WIDTH
      COMMON/WSIZE/    WMIN,WMAX
      COMMON/INITI/    INIT
      COMMON/ASR/      ASMIN,ASMAX,WIDTH0,K_SCHERRER
      COMMON/ASL/      ASLOG


      INTEGER JMIN,JMAX  !begining index and ending of x-column of expt data
      REAL*4 XVAL,YVAL     !
      REAL*4 BGD         !back ground data 
      COMMON/INDEX/ JMIN,JMAX
      COMMON/XDATA/  XVAL(NDAT),YVAL(NDAT),BGD(NDAT)

      DATA ANISO_ANGLE,ANISO_WIDTH/0.0,20.0/
