***********************************************************************
*    The file containes xy-coordinates of individual atoms
***********************************************************************

      REAL*4     SIDE_FACT,MU_T
      REAL*4     XR,YR          !for AFA use

      COMMON/SIDE/      SIDE_FACT(NP),MU_T(NP)
      COMMON/XYR/       XR(NP,NM,NA),YR(NP,NM,NA)

      REAL*4            THX_POS,THY_POS,THZ_POS,X_POS,Y_POS,Z_POS,
     *                  ATOM_FRAC
      INTEGER*4         THA_TYPE,ATOM_TYPE,N_ATOMS
      INTEGER*4         NUM          !# of atoms in one monomer
      LOGICAL           TH_LOG,A_LOG

      COMMON/MONOXYZ/     THX_POS(NP,NA,TM),THY_POS(NP,NA,TM),
     *                    THZ_POS(NP,NA,TM),
     *                    X_POS(NP,NM,NA),Y_POS(NP,NM,NA),
     *                    Z_POS(NP,NM,NA),
     *                    ATOM_FRAC(NP,NM,NA)
      COMMON/TH_TYPE/     THA_TYPE(NP,NA,TM),ATOM_TYPE(NP,NM,NA),
     *                    N_ATOMS(NP,NM),NUM(20)
      COMMON/THA_LOG/     TH_LOG(NP,NA,TM),A_LOG(NP,NM,NA)

*********************************************************************
*     The following includes various par will be used those involve
*     HKL index
*********************************************************************
      INTEGER*4    N_M,H_M,K_M,L_M,MULT
      INTEGER*4    N_REFLECTIONS     !# of miller idx in idx files
      INTEGER*4    N_USED            !# of idx will be used in cal.
      INTEGER*4    ORDER             !order of idx (w/ t_theta)
      INTEGER*4    ITYPE             !used for resort subroutine
      INTEGER*4    NTHPAR            !used for auto fitting
      REAL*4       VOLUME            !volume of the unit cell
      REAL*4       KA,KB,KC          !k vector along A, B, C directions
      REAL*4       KAKA,KBKB,KCKC    !kA,kB,kC magitude
      REAL*4       K_VEC             !recipecial vector
      REAL*4       k_VX,K_VY,K_VZ    !recipecial vector
      REAL*4       INT_BAR,X_BAR     !int and x position of bar draw in fig.
      REAL*4       Y_BAR             !redused int_bar
      REAL*4       WIDTH             !width of each HKL peak
      REAL*4       INTENSITY,T_THETA,FORM_F,FIT_D
      REAL*4       PHS_RATIO,DOP_DENSITY
      REAL*4       S,SS_MIN          !chi**2, min of s  
      REAL*4       AVE_DEV,AVE_DEV_MIN   !average deviation 
      REAL*4       FOURPI,TWOPI,RADIAN
      LOGICAL      AUTO_FLAG         !to see if it is auto-fitting
      PARAMETER (FOURPI=12.566371, TWOPI=6.2831853)
      PARAMETER (RADIAN=TWOPI/360.)
                              
      COMMON/IDX/     N_M(NP,NI),H_M(NP,NI),K_M(NP,NI),
     *                L_M(NP,NI),MULT(NP,NI),
     *                N_REFLECTIONS(NP),N_USED(NP),
     *                ORDER(NP,NI),ITYPE(NP)
      COMMON/KABC/    VOLUME(NP),K_VEC(NP,NI),
     *                K_VX(NP,NI),K_VY(NP,NI),K_VZ(NP,NI),
     *                KA(NP,3),KB(NP,3),KC(NP,3),
     *                KAKA(NP),KBKB(NP),KCKC(NP)
      COMMON/PROF/    T_THETA(NP,NI),WIDTH(NP,NI),
     *                INT_BAR(0:NP,NI),
     *                X_BAR(0:NP,NI),Y_BAR(0:NP,NI),
     *                INTENSITY(0:NP,NDAT),FIT_D(0:NP,NDAT),
     *                FORM_F(200),S(0:NP),SS_MIN,
     *                AVE_DEV(0:NP),AVE_DEV_MIN,PHS_RATIO(NP),
     *                DOP_DENSITY
      COMMON/NTHP/    NTHPAR
      COMMON/ATT/     AUTO_FLAG

      DATA SS_MIN/9.9E+30/
      DATA AUTO_FLAG/.FALSE./

