************************************************************************
*    The file contines all the parameters in sf.par1 and sf.par2 files
************************************************************************

      REAL*4      A,B,C,A0,B0,C0           !array of lattice const. along
c                                           x,y,z direction
      REAL*4      AA,BB,CC                 !same as A,B,C
      INTEGER*4         A_LOGIC,B_LOGIC,C_LOGIC  !
      INTEGER*4         A_RATIO,B_RATIO,C_RATIO  !ratios to calculate A,B,C
      COMMON/VECTORS/   A(NP,3),B(NP,3),C(NP,3),
     *                  A0(NP,3),B0(NP,3),C0(NP,3),
     *                  AA(NP,3),BB(NP,3),CC(NP,3) 
      COMMON/VECTORS_1/ A_LOGIC(NP,3),B_LOGIC(NP,3),C_LOGIC(NP,3),
     *                  A_RATIO(NP,3),B_RATIO(NP,3),C_RATIO(NP,3)
*------------------

                        
      INTEGER*4        N_MONO,N_MONO0           !total number of monomers
      INTEGER*4        MONO_DAT
      COMMON/MONO_D/   MONO_DAT(NP),N_MONO(NP),N_MONO0(NP)

*------------------

      REAL*4      X_START,X_START0     !start positions of one unit
      REAL*4      Y_START,Y_START0     !start positions of one unit
      REAL*4      Z_START,Z_START0     !start positions of one unit
      REAL*4      RAD_DIS,RAD_DIS0     !distance of rotors to XYZ point  
      REAL*4      TRN_DIS,TRN_DIS0     !trans_distance of rotors to XYZ point  

      REAL*4      ROT_ANG,ROT_ANG0     !rotation angle for whole unit
      REAL*4      RAD_ANG,RAD_ANG0     !rotation angle around the XYZ points 
      REAL*4      SET_ANG,SET_ANG0     !setting angle about rotor center
      REAL*4      DIH_ANG,DIH_ANG0     !dihidra angle about rotor center

      INTEGER*4   X_LOGIC,Y_LOGIC,Z_LOGIC,
     *            RAD_DIS_LOGIC,TRN_DIS_LOGIC,
     *            ROT_ANG_LOGIC,RAD_ANG_LOGIC,
     *            SET_ANG_LOGIC,DIH_ANG_LOGIC

      COMMON/UNITXYZ/   X_START(NP,NM),Y_START(NP,NM),Z_START(NP,NM),
     *                  RAD_DIS(NP,NM),TRN_DIS(NP,NM),
     *                  ROT_ANG(NP,NM),RAD_ANG(NP,NM),                       
     *                  SET_ANG(NP,NM),DIH_ANG(NP,NM),
     *                  X_START0(NP,NM),Y_START0(NP,NM),
     *                  Z_START0(NP,NM),
     *                  RAD_DIS0(NP,NM),TRN_DIS0(NP,NM),
     *                  ROT_ANG0(NP,NM),RAD_ANG0(NP,NM),                       
     *                  SET_ANG0(NP,NM),DIH_ANG0(NP,NM)

      COMMON/UNITXYZ_1/ X_LOGIC(NP,NM),Y_LOGIC(NP,NM),Z_LOGIC(NP,NM),
     *                  RAD_DIS_LOGIC(NP,NM),TRN_DIS_LOGIC(NP,NM),
     *                  ROT_ANG_LOGIC(NP,NM),RAD_ANG_LOGIC(NP,NM),
     *                  SET_ANG_LOGIC(NP,NM),DIH_ANG_LOGIC(NP,NM)              
*--------------------

      INTEGER*4   N_DOPANTS              !# of dopant atoms
      REAL*4      XA_START,XA_START0     !X position of dopants
      REAL*4      YA_START,YA_START0     !Y position of dopants 
      REAL*4      ZA_START,ZA_START0     !Z position of dopants 
      REAL*4      DOP_DIS,DOP_DIS0       !distance from dopants to XYZ
      REAL*4      TOT_ANG,TOT_ANG0       !total rotation angle around XYZ
      REAL*4      DOP_ANG,DOP_ANG0       !extra rotation angle around XYZ  
      REAL*4      DOP_FRAC,DOP_FRAC0     !density fraction of dopants
      INTEGER*4   DOP_TYPE,DOP_TYPE0     !type of dopant atoms

      INTEGER*4   XA_LOGIC,YA_LOGIC,ZA_LOGIC,DOP_DIS_LOGIC,
     *            TOT_ANG_LOGIC,DOP_ANG_LOGIC,
     *            DOP_FRAC_LOGIC,DOP_TYPE_LOGIC

      COMMON/ATOMXYZ/   XA_START(NP,ND),YA_START(NP,ND),
     *                  ZA_START(NP,ND),DOP_DIS(NP,ND),
     *                  TOT_ANG(NP,ND),DOP_ANG(NP,ND),
     *                  DOP_FRAC(NP,ND), 
     *                  XA_START0(NP,ND),YA_START0(NP,ND),
     *                  ZA_START0(NP,ND),DOP_DIS0(NP,ND),
     *                  TOT_ANG0(NP,ND),DOP_ANG0(NP,ND),
     *                  DOP_FRAC0(NP,ND)   

      COMMON/ATOMXYZ_1/ N_DOPANTS(NP),
     *                  DOP_TYPE(NP,ND),DOP_TYPE0(NP,ND),
     *                  XA_LOGIC(NP,ND),YA_LOGIC(NP,ND),
     *                  ZA_LOGIC(NP,ND),DOP_DIS_LOGIC(NP,ND),
     *                  TOT_ANG_LOGIC(NP,ND),DOP_ANG_LOGIC(NP,ND),
     *                  DOP_FRAC_LOGIC(NP,ND),DOP_TYPE_LOGIC(NP,ND)
*-----------------------

      REAL*4      DB,AFA,SIDE_LIB,DB_DOP
      REAL*4      DB0,AFA0,SIDE_LIB0,DB_DOP0
      INTEGER*4   DB_LOGIC,AFA_LOGIC,SIDE_LOGIC,DB_DOP_LOGIC

      COMMON/DEXYZ/     DB(NP,3),SIDE_LIB(NP),AFA(NP),
     *                  DB_DOP0(NP),DB_DOP(NP),
     *                  DB0(NP,3),SIDE_LIB0(NP),AFA0(NP)
      COMMON/DEXYZ_1/   DB_LOGIC(NP,3),AFA_LOGIC(NP),
     *                  SIDE_LOGIC(NP),DB_DOP_LOGIC(NP)
*-----------------------

      REAL*4      ANISOTR,SHP_FRAC,PHS_FRAC                            
      REAL*4      ANISOTR0,SHP_FRAC0,PHS_FRAC0 !anisotropy(reduce) and
c                                               shape factor(xp),phase_fraction
      INTEGER*4   ANISOTR_LOGIC,SHP_LOGIC,PHS_LOGIC

      COMMON/SHAPE/     ANISOTR(NP),SHP_FRAC(NP),PHS_FRAC(0:NP),
     *                  ANISOTR0(NP),SHP_FRAC0(NP),PHS_FRAC0(0:NP)
      COMMON/SHAPE_1/   ANISOTR_LOGIC(NP),SHP_LOGIC(NP),
     *                  PHS_LOGIC(NP)
*-----------------------

      REAL*4      PWIDTH,PWIDTH0,PR       !peak width and peak-range
      REAL*4      PWA,PWA0                !peak width adjust
      INTEGER*4   P_LOGIC,P_PEAK          !P_PEAK is # before indexes(=N_M)
      INTEGER*4   PWA_LOGIC

      COMMON/PEAKS/     PWIDTH(NP,10),PWA(NP,8),PR(NP,0:11),
     *                  PWIDTH0(NP,10),PWA0(NP,8)
      COMMON/PEAKS_1/   P_LOGIC(NP,10),P_PEAK(NP,10),PWA_LOGIC(NP,8)
*-----------------------                                         

      INTEGER*4   PAR_VAL,LINK_LIST
      REAL*4      PARAM,PAR_DELTA,PAR_MIN,PAR_MAX
      LOGICAL*1   PAR_FLAG(np,0:50)

      COMMON/PARA/      PARAM(NP,-50:50),PAR_DELTA(NP,0:50),
     *                  PAR_MIN(NP,0:50),PAR_MAX(NP,0:50)
      COMMON/PARA_1/    PAR_VAL(NP,0:50),LINK_LIST(NP,0:50)
*-----------------------                                     

