      SUBROUTINE MODEL_SF(sf)
      IMPLICIT NONE
      INCLUDE 'MODEL.INC'

      REAL*8 x,y            !coordinate of tri_rotor i
      REAL*8 SF, sf_c, sf_s  

      INTEGER*4 i,j,k,L
      sf_c=0.0d0
      sf_s=0.0d0
      DO i=0,11
        DO j=0,11
          DO L=1,3
            x=rot_x(i,j)+r*dcos(varphi(L)+grid_rot(grid(i,j)))
            y=rot_y(i,j)+r*dsin(varphi(L)+grid_rot(grid(i,j)))

            DO k=1,3
              sf_c=sf_c+dcos(x*kx(k))
              sf_s=sf_s+dsin(x*kx(k))
            END DO
          END DO
        END DO
      END DO
      sf=sf_c*sf_c+sf_s*sf_s
      RETURN
      END
