C*		
	SUBROUTINE CALC_XY_ENERGY(dalpha,dbeta,dgamma,ddelta,ddelta_2,
	2 x_new,y_new,site,e_new,radmin,radmax,e_old,n_fold,rad_1)
	implicit none
	include 'model.inc'
C	integer*4 grid,grid_map,grid_size,grid_pts
C	real*8 grid_rot,E,E_b,E_c
C	real*4 b_occup,c_occup
C	real*4 grid_x(100),grid_y(100),grid_angle(6,100),
C	2 grid_rad(6,100), grid_cx(100), grid_cy(100), grid_bx(100),
C	2 grid_by(100)
C	real*8 e_old(6,100)
C	real*4 anisot,angle
C Array sizes and initialization values for above in 'model.inc'
	integer i,j,k,i_a1,i_a2,site,
	2 site_0,site_1c,site_2c,site_3c,site_1b,site_2b,site_3b
	real*8 e_new,e_old,benergy,cenergy,eharmonic
	real*8 denergy,DPI,dab_energy
	real*8 dalpha,dbeta,dgamma,del_bn(2,3),del_cn(2,3),ddelta,
	2 dgamma_old,ddelta_2
	real*8	de1a,de2a,de3a,de4a,de5a,de6a,
	2 	de1b,de2b,de3b,de4b,de5b,de6b,
	2 	de1d,de2d,de3d,de4d,de5d,de6d
	real*8  theta,dfold
	real*4  energy, e_total, eb_total, ec_total, theta0
	real*4  phi1, phi2, phi3, phi4, phi5, phi6, phi
	real*4  eta1, eta2, eta3, eta4
        real*4  th1, th2, th3, th4, th5, th6, PI
	real*4  x0, y0,x,y,fold
	real*4  b_angle_old,c_angle_old,b_size_old,c_size_old,
	2	b_anisot_old,c_anisot_old
	real*4  xn1,xn2,xn3,xn4,xn5,xn6,yn1,yn2,yn3,yn4,yn5,yn6,
	2	xb(3),yb(3),xc(3),yc(3),xb0(3),yb0(3),xc0(3),yc0(3),
	2	xbn1(3),ybn1(3),xcn1(3),ycn1(3),boccup(3),coccup(3),
	2	xbn2(3),ybn2(3),xcn2(3),ycn2(3),bx_restore(3),
	2	by_restore(3),cx_restore(3),cy_restore(3)
	real*4  rad1,rad2,rad3,rad4,rad5,rad6,radmin,size,radmax,rad_1
	real*8  rad10,rad20,rad30,rad40,rad50,rad60
	real*4  cos_ang,sin_ang,m1,m2,b1,b2,x_new,y_new,e_test,energy1
	integer*4 nn1,nn2,nn3,nn4,nn5,nn6,bsite(3),csite(3),
	2 nc(2,3),nb(2,3),n_fold
	parameter(DPI=3.14159265358979)
	parameter( PI=3.14159265358979)        

	size=float(grid_size)
	cos_ang=cosd(angle)*size*anisot
	sin_ang=sind(angle)*size*anisot
	fold=float(n_fold)
	dfold=dble(n_fold)

C-------------------------------------------------------------------
C Now for the x,y coordinates of the displaced grid site
C-------------------------------------------------------------------
	i_a1=grid_map(1,site)
	i_a2=grid_map(2,site)	
	site_0=grid(i_a1,i_a2)
	x0=x_new
	y0=y_new
C-------------------------------------------------------------------
C Now for the x,y coordinates of six displaced dopant sites 
C-------------------------------------------------------------------
 	nn1 =grid(i_a1+1,i_a2  )
	nn2 =grid(i_a1  ,i_a2+1)
 	nn3 =grid(i_a1+1,i_a2+1)
 	nn4 =grid(i_a1-1,i_a2  )
	nn5 =grid(i_a1  ,i_a2-1)
 	nn6 =grid(i_a1-1,i_a2-1)
	xn1=grid_x(nn1)
	yn1=grid_y(nn1)
	xn2=grid_x(nn2)
	yn2=grid_y(nn2)
	xn3=grid_x(nn3)
	yn3=grid_y(nn3)
	xn4=grid_x(nn4)
	yn4=grid_y(nn4)
	xn5=grid_x(nn5)
	yn5=grid_y(nn5)
	xn6=grid_x(nn6)
	yn6=grid_y(nn6)

	  if (i_a1+1.eq.grid_size) then
	  xn1=xn1+size
	  xn3=xn3+size
	  else if (i_a1.eq. 0) then
	  xn4=xn4-size
	  xn6=xn6-size
	  end if

	  if (i_a2+1.eq.grid_size) then
	  xn2=xn2+cos_ang
	  yn2=yn2+sin_ang
	  xn3=xn3+cos_ang
	  yn3=yn3+sin_ang
	  else if (i_a2.eq. 0) then
	  xn6=xn6-cos_ang
	  yn6=yn6-sin_ang
	  xn5=xn5-cos_ang
	  yn5=yn5-sin_ang
	  end if 

	site_1b=site_0
	site_2b=nn6
	site_3b=nn5
	site_1c=site_0
	site_2c=nn4
	site_3c=nn6

	boccup(1)=b_occup(site_1b)
	boccup(2)=b_occup(site_2b)
	boccup(3)=b_occup(site_3b)

	coccup(1)=c_occup(site_1c)
	coccup(2)=c_occup(site_2c)
	coccup(3)=c_occup(site_3c)
	
C                    dopant  next   dopant  next
C	  phi1=atan2(yc0(i)-ycn1(i),xc0(i)-xcn1(i))
C	  phi2=atan2(yc0(i)-ycn2(i),xc0(i)-xcn2(i))

	if (b_occup(site_1b).ne. 0.0) then
	  call t_center(x0,y0,xn3,yn3,xn2,yn2,xb(1),yb(1))
	  bsite(1)=site_1b
C Position and site of 2 neighbors for E calculation if dopant also pulled 
	  nb(1,1)=nn3
	  ybn1(1)=yn3
	  xbn1(1)=xn3
	  nb(2,1)=nn2
	  ybn2(1)=yn2
	  xbn2(1)=xn2
C Original position of dopant ion
	  xb0(1)=grid_bx(site_1b)
	  yb0(1)=grid_by(site_1b)
	  end if
	if (c_occup(site_1c).ne. 0.0) then
	  call t_center(x0,y0,xn3,yn3,xn1,yn1,xc(1),yc(1))
	  csite(1)=site_1c
	  nc(1,1)=nn3
	  ycn1(1)=yn3
	  xcn1(1)=xn3
	  nc(2,1)=nn1
	  ycn2(1)=yn1
	  xcn2(1)=xn1
	  xc0(1)=grid_cx(site_1c)
 	  yc0(1)=grid_cy(site_1c)
	  end if
	if (b_occup(site_2b).ne. 0.0) then
	  call t_center(x0,y0,xn4,yn4,xn6,yn6,xb(2),yb(2))
	  bsite(2)=site_2b
	  nb(1,2)=nn4
	  ybn1(2)=yn4
	  xbn1(2)=xn4
	  nb(2,2)=nn6
	  ybn2(2)=yn6
	  xbn2(2)=xn6
	  xb0(2)=grid_bx(site_2b)
	  yb0(2)=grid_by(site_2b)
	  bx_restore(2)=0.0
	  by_restore(2)=0.0
	    if (i_a1.eq. 0) then 
	      xb0(2)=xb0(2)-size
 	      bx_restore(2)=bx_restore(2)+size
	      end if
	    if (i_a2.eq. 0) then
	      xb0(2)=xb0(2)-cos_ang
	      yb0(2)=yb0(2)-sin_ang
 	      bx_restore(2)=bx_restore(2)+cos_ang
 	      by_restore(2)=by_restore(2)+sin_ang
	      end if
	  end if
	if (c_occup(site_2c).ne. 0.0) then
	  call t_center(x0,y0,xn4,yn4,xn2,yn2,xc(2),yc(2))
	  csite(2)=site_2c
	  nc(1,2)=nn4
	  ycn1(2)=yn4
	  xcn1(2)=xn4
	  nc(2,2)=nn2
	  ycn2(2)=yn2
	  xcn2(2)=xn2
	  xc0(2)=grid_cx(site_2c)
	  yc0(2)=grid_cy(site_2c)
	  cx_restore(2)=0.0
	  cy_restore(2)=0.0
	    if (i_a1.eq. 0) then 
	      xc0(2)=xc0(2)-size
	      cx_restore(2)=cx_restore(2)+size
	      end if
	  end if
	if (b_occup(site_3b).ne. 0.0) then
	  call t_center(x0,y0,xn5,yn5,xn1,yn1,xb(3),yb(3))
	  bsite(3)=site_3b
	  nb(1,3)=nn5
	  ybn1(3)=yn5
	  xbn1(3)=xn5
	  nb(2,3)=nn1
	  ybn2(3)=yn1
	  xbn2(3)=xn1
	  xb0(3)=grid_bx(site_3b)
	  yb0(3)=grid_by(site_3b)
	  bx_restore(3)=0.0
	  by_restore(3)=0.0
	    if (i_a2.eq. 0) then
	    xb0(3)=xb0(3)-cos_ang
	    yb0(3)=yb0(3)-sin_ang
	    bx_restore(3)=bx_restore(3)+cos_ang
	    by_restore(3)=by_restore(3)+sin_ang
	    end if
	  end if
	if (c_occup(site_3c).ne. 0.0) then
	  call t_center(x0,y0,xn5,yn5,xn6,yn6,xc(3),yc(3))
	  csite(3)=site_3c
	  nc(1,3)=nn5
	  ycn1(3)=yn5
	  xcn1(3)=xn5
	  nc(2,3)=nn6
	  ycn2(3)=yn6
	  xcn2(3)=xn6
	  xc0(3)=grid_cx(site_3c)
	  yc0(3)=grid_cy(site_3c)
	  cx_restore(3)=0.0
	  cy_restore(3)=0.0
	    if (i_a1.eq. 0) then
	      xc0(3)=xc0(3)-size
	      cx_restore(3)=cx_restore(3)+size
	      end if
	    if (i_a2.eq. 0) then
	      xc0(3)=xc0(3)-cos_ang
	      yc0(3)=yc0(3)-sin_ang
	      cx_restore(3)=cx_restore(3)+cos_ang
	      cy_restore(3)=cy_restore(3)+sin_ang
	    end if
	  end if

C-------------------------------------------------------------------
C Now for the angles and distance between nearest neighbors
C-------------------------------------------------------------------
	 th1 =grid_rot(nn1)
	 th2 =grid_rot(nn2)
	 th3 =grid_rot(nn3)
	 th4 =grid_rot(nn4)
	 th5 =grid_rot(nn5)
	 th6 =grid_rot(nn6)

	 phi1=atan2(yn1-y0,xn1-x0)
	 phi2=atan2(yn2-y0,xn2-x0)
	 phi3=atan2(yn3-y0,xn3-x0)
	 phi4=atan2(yn4-y0,xn4-x0)
	 phi5=atan2(yn5-y0,xn5-x0)
	 phi6=atan2(yn6-y0,xn6-x0)

	 rad1=((yn1-y0)*(yn1-y0)+(xn1-x0)*(xn1-x0))**0.5
	 rad2=((yn2-y0)*(yn2-y0)+(xn2-x0)*(xn2-x0))**0.5
	 rad3=((yn3-y0)*(yn3-y0)+(xn3-x0)*(xn3-x0))**0.5
	 rad4=((yn4-y0)*(yn4-y0)+(xn4-x0)*(xn4-x0))**0.5
	 rad5=((yn5-y0)*(yn5-y0)+(xn5-x0)*(xn5-x0))**0.5
	 rad6=((yn6-y0)*(yn6-y0)+(xn6-x0)*(xn6-x0))**0.5

	radmin=amin1(rad1,rad2,rad3,rad4,rad5,rad6)
	radmax=amax1(rad1,rad2,rad3,rad4,rad5,rad6)
	
C Now to calculate the new energy
C
C Vij=a*cos(3*T_i-3*T_j)+b*cos(3T_i-3PHI_ij)*cos(3T_j-3PHI_ij)
C E  =g*cos(3*T_i-3*PHI_v)
C
        denergy=0.d0
	theta=grid_rot(site_0)

C-------------------------------------------------------------------
C First V_ij term
C-------------------------------------------------------------------
	  if (dalpha.ne. 0.d0) then
	  de1a=dble( cos(fold*(theta-th1)))
	  de2a=dble( cos(fold*(theta-th2)))
	  de3a=dble( cos(fold*(theta-th3)))
	  de4a=dble( cos(fold*(theta-th4)))
	  de5a=dble( cos(fold*(theta-th5)))
	  de6a=dble( cos(fold*(theta-th6)))
	  denergy=dalpha*(de1a+de2a+de3a+de4a+de5a+de6a)
	  end if
C-------------------------------------------------------------------
C Second V_ij term
C-------------------------------------------------------------------
	if (dbeta.ne. 0.0d0 ) then
	de1b=dble( cos(fold*(theta-phi1))* cos(fold*(th1-phi1)))
	de2b=dble( cos(fold*(theta-phi2))* cos(fold*(th2-phi2)))
	de3b=dble( cos(fold*(theta-phi3))* cos(fold*(th3-phi3)))
	de4b=dble( cos(fold*(theta-phi4))* cos(fold*(th4-phi4)))
	de5b=dble( cos(fold*(theta-phi5))* cos(fold*(th5-phi5)))
	de6b=dble( cos(fold*(theta-phi6))* cos(fold*(th6-phi6)))
	denergy=denergy+dbeta*(de1b+de2b+de3b+de4b+de5b+de6b)
	end if
C-------------------------------------------------------------------
C E_v term 
C-------------------------------------------------------------------
	benergy=0.d0
	cenergy=0.d0

	if (dgamma .ne. 0.0d0 .or. dgamma .ne. dgamma_old) then
	  do i=1,3
	  del_bn(1,i)=0.0
	  del_cn(1,i)=0.0
	  end do
	end if

	if (dgamma .ne. 0.0d0) then
	  do i=1,3
	    if (boccup(i) .ne. 0.0) then
	    phi=atan2(yb(i)-y0,xb(i)-x0)
	    denergy=denergy
	2   +dgamma*dble(cos(fold*(theta-phi)) * boccup(i) )

C Plus now the two other neighbors of the dopant ion!!!!!!
C For b-site dopant-neighbors 1 and 2
C                    dopant  next   dopant  next
	    eta1=atan2(yb0(i)-ybn1(i),xb0(i)-xbn1(i))
	    eta2=atan2(yb0(i)-ybn2(i),xb0(i)-xbn2(i))
	    eta3=atan2( yb(i)-ybn1(i), xb(i)-xbn1(i))
	    eta4=atan2( yb(i)-ybn2(i), xb(i)-xbn2(i))
	    del_bn(1,i)=dgamma*dble(boccup(i) *
	2	       (-cos(fold*(grid_rot(nb(1,i))-eta1)) 
	2	 	+cos(fold*(grid_rot(nb(1,i))-eta3))))
	    del_bn(2,i)=dgamma*dble(boccup(i) *
	2	       (-cos(fold*(grid_rot(nb(2,i))-eta2)) 
	2	 	+cos(fold*(grid_rot(nb(2,i))-eta4))))
	    benergy=benergy+ del_bn(1,i)+ del_bn(2,i)
            end if

	    if (coccup(i) .ne. 0.0) then
	    phi=atan2(yc(i)-y0,xc(i)-x0)
	    denergy=denergy
	2  +dgamma*dble(cos(fold*(theta-phi)) * coccup(i) )
C
C Plus now the two other neighbors of the dopant ion!!!!!!
C For c-site 1, dopant-neighbors 1 and 6
C                    dopant  next   dopant  next
	    eta1=atan2(yc0(i)-ycn1(i),xc0(i)-xcn1(i))
	    eta2=atan2(yc0(i)-ycn2(i),xc0(i)-xcn2(i))
	    eta3=atan2(yc(i)-ycn1(i),xc(i)-xcn1(i))
	    eta4=atan2(yc(i)-ycn2(i),xc(i)-xcn2(i))
	    del_cn(1,i)=dgamma*dble(coccup(i) *
	2	       (-cos(fold*(grid_rot(nc(1,i))-eta1)) 
	2	 	+cos(fold*(grid_rot(nc(1,i))-eta3))))
	    del_cn(2,i)=dgamma*dble(coccup(i) *
	2	       (-cos(fold*(grid_rot(nc(2,i))-eta2)) 
	2	 	+cos(fold*(grid_rot(nc(2,i))-eta4))))
	    cenergy=cenergy+ del_cn(1,i)+ del_cn(2,i)
            end if
	  end do 
	end if
C-----------------------------------------------------------------------
C A harmonic restoring force is included
C-----------------------------------------------------------------------
	  if (ddelta .ne. 0.0) then
	  rad10=dble(rad1-grid_r0(1,site_0))
	  rad20=dble(rad2-grid_r0(2,site_0))
	  rad30=dble(rad3-grid_r0(3,site_0))
	  rad40=dble(rad4-grid_r0(4,site_0))
	  rad50=dble(rad5-grid_r0(5,site_0))
	  rad60=dble(rad6-grid_r0(6,site_0))

	    if (grid_r0(1,site_0).eq. rad_1) then
	    de1d=ddelta_2*rad10*rad10
	    else
	    de1d=ddelta*rad10*rad10
	    end if

	    if (grid_r0(2,site_0).eq. rad_1) then
	    de2d=ddelta_2*rad20*rad20
	    else
	    de2d=ddelta*rad10*rad10
	    end if

	    if (grid_r0(3,site_0).eq. rad_1) then
	    de3d=ddelta_2*rad30*rad30
	    else
	    de3d=ddelta*rad30*rad30
	    end if

	    if (grid_r0(4,site_0).eq. rad_1) then
	    de4d=ddelta_2*rad40*rad40
	    else
	    de4d=ddelta*rad40*rad40
	    end if

	    if (grid_r0(5,site_0).eq. rad_1) then
	    de5d=ddelta_2*rad50*rad50
	    else
	    de5d=ddelta*rad50*rad50
	    end if

	    if (grid_r0(6,site_0).eq. rad_1) then
	    de6d=ddelta_2*rad60*rad60
	    else
	    de6d=ddelta*rad60*rad60
	    end if

	  denergy= denergy+de1d+de2d+de3d+de4d+de5d+de6d
	  end if

	e_old=e(site_0)
	e_new= denergy+benergy+cenergy
	dgamma_old=dgamma

	return
C
C
	ENTRY UPDATE_XY_NN_SITES(dalpha,dbeta,dgamma,ddelta,ddelta_2,
	2 dab_energy)

C All other variables are accessed through common blocks
	e(site_0)=denergy
C Reset energies of nearest neighbors due to dopant shifts
C and position of these dopant ions
 	  do i=1,3 
 	    if (boccup(i).ne. 0.0) then
 	      grid_bx(bsite(i))=xb(i)+bx_restore(i)
 	      grid_by(bsite(i))=yb(i)+by_restore(i)
 	      e(nb(1,i))=e(nb(1,i))+del_bn(1,i)
 	      e(nb(2,i))=e(nb(2,i))+del_bn(2,i)
 	    end if
 	    if (coccup(i).ne. 0.0) then
 	      grid_cx(csite(i))=xc(i)+cx_restore(i)
 	      grid_cy(csite(i))=yc(i)+cy_restore(i)
 	      e(nc(1,i))=e(nc(1,i))+del_cn(1,i)
 	      e(nc(2,i))=e(nc(2,i))+del_cn(2,i)
 	      end if
 	  end do 
C Above energy changes already included into Del_E
 	dab_energy=e(nn1)+e(nn2)+e(nn3)+
 	2	   e(nn4)+e(nn5)+e(nn6)
C Record angular changes in proper data array
	 grid_angle(1,site_0)=phi1
 	  grid_angle(4,nn1)=PI+phi1
	 grid_angle(2,site_0)=phi2
 	  grid_angle(5,nn2)=PI+phi2
	 grid_angle(3,site_0)=phi3
 	  grid_angle(6,nn3)=PI+phi3
	 grid_angle(4,site_0)=phi4
	  grid_angle(1,nn4)=PI+phi4
	 grid_angle(5,site_0)=phi5
	  grid_angle(2,nn5)=PI+phi5
	 grid_angle(6,site_0)=phi6
	  grid_angle(3,nn6)=PI+phi6

C Record radius changes in proper data array
	 grid_rad(1,site_0)=rad1 
	  grid_rad(4,nn1)=rad1
	 grid_rad(2,site_0)=rad2
	  grid_rad(5,nn2)=rad2
	 grid_rad(3,site_0)=rad3
	  grid_rad(6,nn3)=rad3
	 grid_rad(4,site_0)=rad4
	  grid_rad(1,nn4)=rad4
	 grid_rad(5,site_0)=rad5
	  grid_rad(2,nn5)=rad5
	 grid_rad(6,site_0)=rad6
	  grid_rad(3,nn6)=rad6

C Record alpha,beta, and delta energy changes for all (i,j) pairs


	e_har(1,site_0)=de1d
	e_har(4,nn1)=e_har(1,site_0)
	e_har(2,site_0)=de2d
	e_har(5,nn2)=e_har(2,site_0)
	e_har(3,site_0)=de3d
	e_har(6,nn3)=e_har(3,site_0)
	e_har(4,site_0)=de4d
	e_har(1,nn4)=e_har(4,site_0)
	e_har(5,site_0)=de5d
	e_har(2,nn5)=e_har(5,site_0)
	e_har(6,site_0)=de6d
	e_har(3,nn6)=e_har(6,site_0)

 	old_e(1,site_0)=dalpha*de1a+dbeta*de1b+e_har(1,site_0)
	old_e(2,site_0)=dalpha*de2a+dbeta*de2b+e_har(2,site_0)
	old_e(3,site_0)=dalpha*de3a+dbeta*de3b+e_har(3,site_0)
	old_e(4,site_0)=dalpha*de4a+dbeta*de4b+e_har(4,site_0)
	old_e(5,site_0)=dalpha*de5a+dbeta*de5b+e_har(5,site_0)
	old_e(6,site_0)=dalpha*de6a+dbeta*de6b+e_har(6,site_0)

	e(nn1)=e(nn1)-old_e(4,nn1)+old_e(1,site_0)
	 old_e(4,nn1)=old_e(1,site_0)
	e(nn2)=e(nn2)-old_e(5,nn2)+old_e(2,site_0)
	 old_e(5,nn2)=old_e(2,site_0)
	e(nn3)=e(nn3)-old_e(6,nn3)+old_e(3,site_0)
	 old_e(6,nn3)=old_e(3,site_0)
	e(nn4)=e(nn4)-old_e(1,nn4)+old_e(4,site_0)
	 old_e(1,nn4)=old_e(4,site_0)
	e(nn5)=e(nn5)-old_e(2,nn5)+old_e(5,site_0)
	 old_e(2,nn5)=old_e(5,site_0)
	e(nn6)=e(nn6)-old_e(3,nn6)+old_e(6,site_0)
	 old_e(3,nn6)=old_e(6,site_0)

 	dab_energy=e(nn1)+e(nn2)+e(nn3)+
 	2	   e(nn4)+e(nn5)+e(nn6)-dab_energy

	return

	entry B_site_position(site)
              
	  if (b_size_old .ne. size .or. b_angle_old .ne. angle 
	2 .or. b_anisot_old .ne. anisot ) then
	  size=float(grid_size)
	  b_size_old=size
	  cos_ang=cosd(angle)*size*anisot
	  sin_ang=sind(angle)*size*anisot
	  b_angle_old=angle
	  b_anisot_old=anisot
	  end if

	i_a1=grid_map(1,site)
	i_a2=grid_map(2,site)
	site_0=grid(i_a1,i_a2)
 	nn1 =grid(i_a1+1,i_a2+1)
 	nn2 =grid(i_a1  ,i_a2+1)

	x0=grid_x(site_0)
	y0=grid_y(site_0)
	xn1=grid_x(nn1)
	yn1=grid_y(nn1)
	xn2=grid_x(nn2)
	yn2=grid_y(nn2)

	  if (i_a1+1.eq.grid_size) then
	  xn1=xn1+size
	  end if

	  if (i_a2+1.eq.grid_size) then
	  xn1=xn1+cos_ang
	  yn1=yn1+sin_ang
	  xn2=xn2+cos_ang
	  yn2=yn2+sin_ang
	  end if 

	call t_center(x0,y0,xn1,yn1,xn2,yn2,x,y)

	grid_bx(site_0)=x
	grid_by(site_0)=y

	return


	entry C_site_position(site)

	  if (c_size_old .ne. size .or. c_angle_old .ne. angle 
	2 .or. c_anisot_old .ne. anisot ) then
	  size=float(grid_size)
	  c_size_old=size
	  cos_ang=cosd(angle)*size*anisot
	  sin_ang=sind(angle)*size*anisot
	  c_angle_old=angle
	  c_anisot_old=anisot
	  end if
	size=float(grid_size)
	cos_ang=cosd(angle)*size*anisot
	sin_ang=sind(angle)*size*anisot

	i_a1=grid_map(1,site)
	i_a2=grid_map(2,site)
	site_0=grid(i_a1,i_a2)
 	nn1 =grid(i_a1+1,i_a2+1)
 	nn6 =grid(i_a1+1,i_a2  )

	x0=grid_x(site_0)
	y0=grid_y(site_0)
	xn1=grid_x(nn1)
	yn1=grid_y(nn1)
	xn6=grid_x(nn6)
	yn6=grid_y(nn6)

	  if (i_a1+1.eq.grid_size) then
	  xn1=xn1+size
	  xn6=xn6+size
	  end if

	  if (i_a2+1.eq.grid_size) then
	  xn1=xn1+cos_ang
	  yn1=yn1+sin_ang
	  end if 

	call t_center(x0,y0,xn1,yn1,xn6,yn6,x,y)
	grid_cx(site_0)=x
	grid_cy(site_0)=y
	
	return
	end


	  subroutine t_center(x0,y0,x1,y1,x2,y2,xc,yc)
	  implicit none
	  real*4 x0,y0,x1,y1,x2,y2,xc,yc
	  real*4 x3,y3,x4,y4,x5,y5,b1,b2,m1,m2
	  x3=(x0+x1)*0.5
	  y3=(y0+y1)*0.5
	  x4=(x0+x2)*0.5
	  y4=(y0+y2)*0.5
	    if (x1.eq.x4) then
	    x5=x1
	    m2=(y3-y2)/(x3-x2)
	    b2=y2-m2*x2
	    y5=m2*x5+b2
	    else if (x3.eq.x2) then
	    x5=x2
 	    m1=(y1-y4)/(x1-x4)
	    b1= y1-m1*x1
	    y5= m1*x5+b1
	    else
 	    m1=(y1-y4)/(x1-x4)
	    m2=(y3-y2)/(x3-x2)
	    b1=y1-m1*x1
	    b2=y2-m2*x2
	    x5=(b1-b2)/(m2-m1)
	    y5=m1*x5+b1
	    end if
	  xc=x5
	  yc=y5
	return
	end
