***********************************************************************  
	SUBROUTINE SET_UP_IO_PAGE(NEW_NAME,IO_DRIVER)
***********************************************************************

	Include 'model.inc'
	Include '($strdef)'
C	integer grid,grid_map,grid_size,grid_pts
C	real*8 grid_rot,E,E_b,E_c
C	real*4 b_occup,c_occup
C Array sizes and initialization values for above in 'model.inc'

	INTEGER I_A1,I_A2,IO_DRIVER
	real side_length,xpos,ypos,ax,ay,bx,by
	INTEGER*4 MAXDOPANT,MAXCHAINS

	PARAMETER (MAXDOPANT=500,MAXCHAINS=200)

	REAL*4  	TEMP,PARAM(-50:50),PAR_MIN(0:50),
	2 		PAR_MAX(0:50),PAR_DELTA(0:50)
	INTEGER*4	PAR_VAL(0:50),LINK_LIST(20)
	LOGICAL*1       BATCH/.false./, PAR_FLAG(0:50)
	CHARACTER*8     MONO_CHAR,MONO_DAT_CHAR,a_step*3
	CHARACTER*30    TAG,new_name
	INTEGER*4       A_LOGIC,B_LOGIC,C_LOGIC,SET_LOGIC,BOND_LOGIC,
	2		BONDXY_LOGIC,BONDXZ_LOGIC,DI_LOGIC,
	2		X_LOGIC,Y_LOGIC,Z_LOGIC
	REAL*4		SET_ANG,BOND_ANG,BONDXY_ANG,BONDXZ_ANG,DI_ANG,
	2		X_START,Y_START,Z_START
	INTEGER*4	REFLECT,MONO_TYPE,N_CHAINS,N_MONO
	REAL*4		BT1,BT2,AFA,BT3
	INTEGER*4	DEBYE_LOGIC
	REAL*4          XA_START,YA_START,ZA_START,A_FRAC,A_SPECIAL
	INTEGER*4	A_TYPE,XA_LOGIC,YA_LOGIC,ZA_LOGIC,A_TYPE_LOGIC,
	2 		A_FRAC_LOGIC,A_SPECIAL_LOGIC,IN_ATOMS
	REAL*4          PWIDTH,REDUCE,XP,P_LOGIC,SCALE_LOGIC
	INTEGER*4	P_PEAK,TAGLEN,n_fold,nn_fold
	REAL*4		A,B,C,A0,B0,C0
	REAL*4		SIDE_LIB,det,r32
	CHARACTER*1	QUOTE
C
	COMMON/BAT/BATCH
	COMMON/FILETAG/TAGlen,TAG
	COMMON/INPUTS_A/ A_LOGIC(3),B_LOGIC(3),C_LOGIC(3),
	2	SET_LOGIC(MAXCHAINS),BOND_LOGIC(MAXCHAINS),
	2	BONDXZ_LOGIC(MAXCHAINS),BONDXY_LOGIC(MAXCHAINS),
	2     DI_LOGIC(MAXCHAINS),X_LOGIC(MAXCHAINS),Y_LOGIC(MAXCHAINS),
	2	Z_LOGIC(MAXCHAINS),MONO_DAT(MAXCHAINS)
	COMMON/INPUTS_A1/SET_ANG(MAXCHAINS),BOND_ANG(MAXCHAINS),
	2	BONDXZ_ANG(MAXCHAINS),BONDXY_ANG(MAXCHAINS),
	2	DI_ANG(MAXCHAINS),REFLECT(MAXCHAINS),X_START(MAXCHAINS),
	2	Y_START(MAXCHAINS),Z_START(MAXCHAINS),
	2	MONO_TYPE(MAXCHAINS),N_CHAINS,N_MONO
	COMMON/INPUTS_A2/ BT1,BT2,afa,DEBYE_LOGIC(10),BT3,SIDE_LIB
	COMMON/INPUTS_ATOMS/XA_START(MAXDOPANT),YA_START(MAXDOPANT),
	2	ZA_START(MAXDOPANT),A_FRAC(MAXDOPANT),
	2	A_SPECIAL(MAXDOPANT),A_TYPE(MAXDOPANT),
	2	XA_LOGIC(MAXDOPANT),YA_LOGIC(MAXDOPANT),
	2	ZA_LOGIC(MAXDOPANT),A_TYPE_LOGIC(MAXDOPANT),
	2	A_FRAC_LOGIC(MAXDOPANT),A_SPECIAL_LOGIC(MAXDOPANT),
	2	IN_ATOMS
      COMMON/INPUTS_B1/ PWIDTH(4,10),REDUCE,XP,P_LOGIC(4,10),
     *                  SCALE_LOGIC(10)
      COMMON/KEEPERS/   P_PEAK(4,10)
      COMMON/VECTORS/   A(3),B(3),C(3),A0(3),B0(3),C0(3)

	TAGLEN=11
	TAG(1:TAGLEN)='SF_TEMPLATE'
	  IF (IO_DRIVER.EQ.1) THEN
	  CALL GET_PARAMETERS(PARAM)
	  ELSE IF (IO_DRIVER.EQ.2) THEN
	  CALL GET_PARAMETERS_MJW(PARAM)
 	    DO I=1,3
	    A(I)=A0(I)
	    B(I)=B0(I)
	    C(I)=C0(I)
	    END DO
C Parameters will be used for converting from x,y to fractional cell
C coordinates
 	  side_length=GRID_SIZE
	  A(1)=side_length*A(1)
	  A(2)=side_length*A(2)	! A(1) is generally 0.0
	  B(1)=side_length*B(1)*anisot
	  B(2)=side_length*B(2)*anisot
c          det=a(1)*b(2)-a(2)*b(1)
	  AX=side_length
	  AY=0.0
	  BX=side_length*cosd(angle)*anisot
	  BY=side_length*sind(angle)*anisot
	  det=(side_length**2.)*sind(angle)*anisot
	  END IF

	init_rotation=set_ang(1)
	N_STEP=0
	n_fold=nn_fold
	ENTRY OUTPUT_IO_PAGE(NEW_NAME,IO_DRIVER)

 	CALL STR$TRIM(new_name,new_name,n)
	IF (n.eq.0) new_name='sf_mc'
	CALL STR$TRIM(tag,new_name,TAGLEN)
	IN_ATOMS=0

	  DO I=1,GRID_PTS
	    IF (b_OCCUP(I).GT. 0.0) THEN
	    IN_ATOMS=IN_ATOMS+1
	    xpos=grid_bx(I)
	    ypos=grid_by(I)
	    A_FRAC(IN_ATOMS)=	b_OCCUP(I)*A_FRAC(1)
	    XA_START(IN_ATOMS)= (xpos*by-ypos*bx)/det
	    YA_START(IN_ATOMS)= (ypos*ax-xpos*ay)/det
	    ZA_START(IN_ATOMS)=	0.0
	    A_SPECIAL(IN_ATOMS)= 	A_SPECIAL(1)
	    A_TYPE(IN_ATOMS)=	A_TYPE(1)
	    XA_LOGIC(IN_ATOMS)=	XA_LOGIC(1)
	    YA_LOGIC(IN_ATOMS)=	YA_LOGIC(1)
	    ZA_LOGIC(IN_ATOMS)=	ZA_LOGIC(1)
	    A_TYPE_LOGIC(IN_ATOMS)=	A_TYPE_LOGIC(1)
	    A_FRAC_LOGIC(IN_ATOMS)=	A_FRAC_LOGIC(1)
	    A_SPECIAL_LOGIC(IN_ATOMS)=	A_SPECIAL_LOGIC(1)
	    END IF

	    IF (C_OCCUP(I).GT. 0.0) THEN
	    IN_ATOMS=IN_ATOMS+1
	    xpos=grid_cx(I)
	    ypos=grid_cy(I)
	    A_FRAC(IN_ATOMS)=	c_OCCUP(I)*A_FRAC(1)
	    XA_START(IN_ATOMS)= (xpos*by-ypos*bx)/det
	    YA_START(IN_ATOMS)= (ypos*ax-xpos*ay)/det
	    ZA_START(IN_ATOMS)=	0.0
	    A_SPECIAL(IN_ATOMS)= 	A_SPECIAL(1)
	    A_TYPE(IN_ATOMS)=	A_TYPE(1)
	    XA_LOGIC(IN_ATOMS)=	XA_LOGIC(1)
	    YA_LOGIC(IN_ATOMS)=	YA_LOGIC(1)
	    ZA_LOGIC(IN_ATOMS)=	ZA_LOGIC(1)
	    A_TYPE_LOGIC(IN_ATOMS)=	A_TYPE_LOGIC(1)
	    A_FRAC_LOGIC(IN_ATOMS)=	A_FRAC_LOGIC(1)
	    A_SPECIAL_LOGIC(IN_ATOMS)=	A_SPECIAL_LOGIC(1)
	    END IF
	    
   50	  END DO
C
	N_CHAINS=0
	N_MONO=1
	  DO I=1,GRID_PTS
	  N_CHAINS=N_CHAINS+1
          X_START(I)=(grid_x(I)*by-grid_y(I)*bx)/det
	  Y_START(I)=(grid_y(I)*ax-grid_x(I)*ay)/det
	  Z_START(I)=0.0
	  MONO_TYPE(I)=MONO_TYPE(1) 
	  X_LOGIC(I)=X_LOGIC(1)
	  Y_LOGIC(I)=Y_LOGIC(1)
	  Z_LOGIC(I)=Z_LOGIC(1)
	   if (n_fold.eq.2) then
	   set_ang(I)=-grid_rot(I)*180./3.1415926 + init_rotation
	   else
	   set_ang(I)= grid_rot(I)*180./3.1415926 + init_rotation
	   end if
	  set_ang(I)=amod(set_ang(I),360.)
	  set_logic(I)=set_logic(1)

	    if (n_fold.ne.2) then
	  IN_ATOMS=IN_ATOMS+1
	   XA_START(IN_ATOMS)=(grid_x(I)*by-grid_y(I)*bx)/det
	   YA_START(IN_ATOMS)=(grid_y(I)*ax-grid_x(I)*ay)/det
	  A_FRAC(IN_ATOMS)=A_FRAC(1)
	  ZA_START(IN_ATOMS)=	0.0
	  A_SPECIAL(IN_ATOMS)= 	A_SPECIAL(1)
	  A_TYPE(IN_ATOMS)=	A_TYPE(1)
	  XA_LOGIC(IN_ATOMS)=	XA_LOGIC(1)
	  YA_LOGIC(IN_ATOMS)=	YA_LOGIC(1)
	  ZA_LOGIC(IN_ATOMS)=	ZA_LOGIC(1)
	  A_TYPE_LOGIC(IN_ATOMS)=	A_TYPE_LOGIC(1)
	  A_FRAC_LOGIC(IN_ATOMS)=	A_FRAC_LOGIC(1)
	  A_SPECIAL_LOGIC(IN_ATOMS)=	A_SPECIAL_LOGIC(1)
	    end if
	  END DO
C	type *, in_atoms
	IF (N_STEP.GT.999) N_STEP=0
	WRITE(A_STEP,'(I3.3)') N_STEP
	IF (IO_DRIVER.EQ.1) call WRITE_PARAM(PARAM,A_STEP)
	IF (IO_DRIVER.EQ.2) call WRITE_PARAM_MJW(PARAM,A_STEP)
	N_STEP=N_STEP+1

	RETURN
 	END

C-----------------------------------------------------------------------
C This subroutine takes a generic list of atoms and polymer chains and
C generates a file compatible for structure factor calculation
C-----------------------------------------------------------------------
      SUBROUTINE GET_PARAMETERS(PARAM)

      INTEGER*4 MAXDOPANT
      PARAMETER (MAXDOPANT=500)


      REAL*4            TEMP,PARAM(-50:50),PAR_MIN(0:50),PAR_MAX(0:50),
     *                  PAR_DELTA(0:50)
      INTEGER*4         PAR_VAL(0:50),LINK_LIST(20)
      LOGICAL*1         BATCH,PAR_FLAG(0:50)
      CHARACTER*8       MONO_CHAR,MONO_DAT_CHAR
      CHARACTER*30      TAG,a_step*3
      INTEGER*4         A_LOGIC,B_LOGIC,C_LOGIC,SET_LOGIC,BOND_LOGIC,
     *                  BONDXY_LOGIC,BONDXZ_LOGIC,DI_LOGIC,
     *                  X_LOGIC,Y_LOGIC,Z_LOGIC
      REAL*4            SET_ANG,BOND_ANG,BONDXY_ANG,BONDXZ_ANG,DI_ANG,
     *                  X_START,Y_START,Z_START
      INTEGER*4         REFLECT,MONO_TYPE,N_CHAINS,N_MONO
      REAL*4            BT1,BT2,AFA,BT3
      INTEGER*4         DEBYE_LOGIC
      REAL*4            XA_START,YA_START,ZA_START,A_FRAC,A_SPECIAL
      INTEGER*4         A_TYPE,XA_LOGIC,YA_LOGIC,ZA_LOGIC,A_TYPE_LOGIC,
     *                  A_FRAC_LOGIC,A_SPECIAL_LOGIC,IN_ATOMS
      REAL*4            PWIDTH,REDUCE,XP
      INTEGER*4         P_LOGIC,SCALE_LOGIC,TAGLEN
      INTEGER*4         P_PEAK
      REAL*4            A,B,C,A0,B0,C0
      REAL*4            SIDE_LIB
      CHARACTER*1       QUOTE

      COMMON/BAT/BATCH
      COMMON/FILETAG/   TAGlen,TAG
      COMMON/INPUTS_A/  A_LOGIC(3),B_LOGIC(3),C_LOGIC(3),
     *                  SET_LOGIC(200),BOND_LOGIC(200),
     *                  BONDXZ_LOGIC(200),BONDXY_LOGIC(200),
     *                  DI_LOGIC(200),X_LOGIC(200),Y_LOGIC(200),
     *                  Z_LOGIC(200),MONO_DAT(200)
      COMMON/INPUTS_A1/ SET_ANG(200),BOND_ANG(200),BONDXZ_ANG(200),
     *                  BONDXY_ANG(200),DI_ANG(200),REFLECT(200),
     *                  X_START(200),Y_START(200),Z_START(200),
     *                  MONO_TYPE(200),N_CHAINS,N_MONO
      COMMON/INPUTS_A2/ BT1,BT2,afa,DEBYE_LOGIC(10),BT3,SIDE_LIB
      COMMON/INPUTS_ATOMS/XA_START(MAXDOPANT),YA_START(MAXDOPANT),
     *                  ZA_START(MAXDOPANT),A_FRAC(MAXDOPANT),
     *                  A_SPECIAL(MAXDOPANT),A_TYPE(MAXDOPANT),
     *                  XA_LOGIC(MAXDOPANT),YA_LOGIC(MAXDOPANT),
     *                  ZA_LOGIC(MAXDOPANT),A_TYPE_LOGIC(MAXDOPANT),
     *                  A_FRAC_LOGIC(MAXDOPANT),
     *                  A_SPECIAL_LOGIC(MAXDOPANT),IN_ATOMS
      COMMON/INPUTS_B1/ PWIDTH(4,10),REDUCE,XP,P_LOGIC(4,10),
     *                  SCALE_LOGIC(10)
      COMMON/KEEPERS/   P_PEAK(4,10)
      COMMON/VECTORS/   A(3),B(3),C(3),A0(3),B0(3),C0(3)

      QUOTE=CHAR(39)

	  DO I=0,50
	  PAR_FLAG(I)=.FALSE.
	  END DO	
C
	OPEN (UNIT=1,FILE=TAG(1:TAGLEN)//'.PAR2',STATUS='OLD')
        READ (1,*) A0, A_LOGIC
        READ (1,*) B0, B_LOGIC
        READ (1,*) C0, C_LOGIC
	  DO I=1,3
	  PAR_FLAG(IABS(A_LOGIC(I)))=.TRUE.
	  PAR_FLAG(IABS(B_LOGIC(I)))=.TRUE.
	  PAR_FLAG(IABS(C_LOGIC(I)))=.TRUE.
	  END DO 
C New lines
	READ (1,*) N_CHAINS
	READ(1,*)  ! Dummy line
	  IF (N_CHAINS.NE.0) THEN
	    DO I=1,N_CHAINS
	    READ(1,*) X_START(I),Y_START(I),Z_START(I),MONO_TYPE(I)
	    READ(1,*) X_LOGIC(I),Y_LOGIC(I),Z_LOGIC(I)
	    PAR_FLAG(IABS(X_LOGIC(I)))=.TRUE.
	    PAR_FLAG(IABS(Y_LOGIC(I)))=.TRUE.
	    PAR_FLAG(IABS(Z_LOGIC(I)))=.TRUE.
	    END DO
	  END IF 

        READ(1,*)   N_MONO
        READ(1,*)   !Dummy line
        IF(N_MONO.NE.0)THEN
	DO I=1,N_MONO
           READ(1,*)MONO_DAT_CHAR,N,SET_ANG(I),BOND_ANG(I),
     *              BONDXZ_ANG(I),BONDXY_ANG(I),DI_ANG(I),REFLECT(I)
           READ(1,*)SET_LOGIC(I),BOND_LOGIC(I),BONDXZ_LOGIC(I),
     *              BONDXY_LOGIC(I),DI_LOGIC(I)
    	   PAR_FLAG(IABS(SET_LOGIC(I)))=.TRUE.
           PAR_FLAG(IABS(BOND_LOGIC(I)))=.TRUE.
           PAR_FLAG(IABS(BONDXZ_LOGIC(I)))=.TRUE.
           PAR_FLAG(IABS(BONDXY_LOGIC(I)))=.TRUE.
	   PAR_FLAG(IABS(DI_LOGIC(I)))=.TRUE.
           IF (MONO_DAT_CHAR.EQ.'THIO') MONO_DAT(I)=1
           IF (MONO_DAT_CHAR.EQ.'PPVH6')  MONO_DAT(I)=2
           IF (MONO_DAT_CHAR.EQ.'PPVD2')  MONO_DAT(I)=3
           IF (MONO_DAT_CHAR.EQ.'PPVD4')  MONO_DAT(I)=4
           IF (MONO_DAT_CHAR.EQ.'PPVD6')  MONO_DAT(I)=5
           IF (MONO_DAT_CHAR.EQ.'PPV')    MONO_DAT(I)=6
           IF (MONO_DAT_CHAR.EQ.'I3')    MONO_DAT(I)=7
        END DO
        END IF

	READ (1,*) IN_ATOMS
	READ(1,*)  ! Dummy line
	  IF (IN_ATOMS.NE.0) THEN
	    DO I=1,IN_ATOMS
	    READ(1,*) XA_START(I),YA_START(I),
	2 ZA_START(I),A_TYPE(I),A_FRAC(I),A_SPECIAL(I)
	    READ(1,*) XA_LOGIC(I),YA_LOGIC(I),ZA_LOGIC(I),
	2 A_TYPE_LOGIC(I),A_FRAC_LOGIC(I),A_SPECIAL_LOGIC(I)
	    PAR_FLAG(IABS(XA_LOGIC(I)))=.TRUE.
	    PAR_FLAG(IABS(YA_LOGIC(I)))=.TRUE.
	    PAR_FLAG(IABS(ZA_LOGIC(I)))=.TRUE.
	    PAR_FLAG(IABS(A_TYPE_LOGIC(I)))=.TRUE.
	    PAR_FLAG(IABS(A_FRAC_LOGIC(I)))=.TRUE.
	    PAR_FLAG(IABS(A_SPECIAL_LOGIC(I)))=.TRUE.
	    END DO
	  END IF 
C End of lines
        READ (1,*)
        READ (1,*) BT1,BT2,afa,BT3,SIDE_LIB
	READ (1,*) (DEBYE_LOGIC(I),I=1,5)
        READ (1,*) REDUCE,XP
	READ (1,*) (SCALE_LOGIC(I),I=1,2)
	  DO I=1,10
	  PAR_FLAG(IABS(DEBYE_LOGIC(I)))=.TRUE.
	  PAR_FLAG(IABS(SCALE_LOGIC(I)))=.TRUE.
	  END DO
C
        READ (1,*)
        READ (1,*)
	  DO I=1,10
	  READ (1,*,ERR=15) PWIDTH(1,I),P_LOGIC(1,I),P_PEAK(1,I),
     *                      PWIDTH(2,I),P_LOGIC(2,I),P_PEAK(2,I),
     *                      PWIDTH(3,I),P_LOGIC(3,I),P_PEAK(3,I),
     *                      PWIDTH(4,I),P_LOGIC(4,I),P_PEAK(4,I)
  15	  PAR_FLAG(IABS(P_LOGIC(1,I)))=.TRUE.
    	  PAR_FLAG(IABS(P_LOGIC(2,I)))=.TRUE.
    	  PAR_FLAG(IABS(P_LOGIC(3,I)))=.TRUE.
    	  PAR_FLAG(IABS(P_LOGIC(4,I)))=.TRUE.
  	  END DO
C
	  DO I=1,50
	  READ (1,*,END=20,err=16) PAR_VAL(0),PARAM(0),PAR_DELTA(0),
	2 PAR_MIN(0),PAR_MAX(0)
  16	  IF (PAR_VAL(0).EQ.0) GOTO 20
	    IF (PAR_MAX(0).LT. PAR_MIN(0)) THEN
	    TEMP=PAR_MIN(0)
	    PAR_MIN(0)=PAR_MAX(0)
	    PAR_MAX(0)=TEMP
	    END IF
	    IF (PAR_MAX(0)-PAR_MIN(0) .LT. 0.00002 ) THEN
	    PAR_MIN(0)=PARAM(0)-1.
	    PAR_MAX(0)=PARAM(0)+1.
	    END IF
C
	    IF (PARAM(0).LT.PAR_MIN(0) .OR.
	2	PARAM(0).GT.PAR_MAX(0)) THEN
	    TEMP=0.5*(PAR_MAX(0)-PAR_MIN(0))
	    PAR_MIN(0)=PARAM(0)-TEMP
	    PAR_MAX(0)=PARAM(0)+TEMP
	    END IF
C
	  IF (PAR_DELTA(0).LT. 0.00002) PAR_DELTA(0)=0.005
	  J=PAR_VAL(0)
	  PAR_VAL(J)   = PAR_VAL(0)
	  PARAM(J)     = PARAM(0)
	  PAR_DELTA(J) = PAR_DELTA(0) 
	  PAR_MIN(J)   = PAR_MIN(0)
	  PAR_MAX(J)   = PAR_MAX(0)
   20	  END DO 	
  	CLOSE(1)
	 DO I=1,50
	 PARAM(-I)=-PARAM(I)
	 END DO
	  IF (REDUCE.LT.0.0 .OR. XP.LT. 0.0 .OR. XP.GT. 1.0 ) THEN
	  TYPE *, 'Parameter SCALE or SHAPE is out of bounds'
	  END IF
C
	OPEN(unit=10,name='fit.DAT',type='new')
	WRITE(10,100) 
  100	FORMAT('TITLE')
	  DO I=1,50
	  IF (PAR_FLAG(I) .AND. PAR_VAL(I).LT.21) 
	2	LINK_LIST(PAR_VAL(I))=I
	  END DO
	  DO J=1,20
	  I=LINK_LIST(J)
	    IF (I.EQ.0) THEN
	    WRITE(10,111) J,J,0.0,0.001,-1.,1.
	    ELSE IF 
	2 (ABS(PAR_MIN(I)).GT.10. .OR. ABS(PAR_MAX(I).GT.10.)) THEN 
	    WRITE(10,121) 
	2   I,I,PARAM(I),PAR_DELTA(I),PAR_MIN(I),PAR_MAX(I)
	    ELSE 
	    WRITE(10,101)
	2   I,I,PARAM(I),PAR_DELTA(I),PAR_MIN(I),PAR_MAX(I)
	    END IF
	  END DO
	PARAM(0)=0.0
  101 	FORMAT(I10,' XPM(',I2,') ',3X,F7.4,3X,F7.4,1X,F9.5,3X,F7.4)
  121 	FORMAT(I10,' XPM(',I2,') ',3X,F7.3,3X,F7.3,1X,F9.4,3X,F7.3)
  111 	FORMAT(I10,' XPM(',I2,')  ',4F10.5,1X)
	WRITE(10,102)
  102	FORMAT()
	  DO I=1,20
	  WRITE(10,103) FLOAT(I)
	  END DO
  103	FORMAT('FIX',12X,F3.0)
	WRITE(10,104)
  104	FORMAT('SIMPLEX')
	WRITE(10,105)
  105	FORMAT('END RETURN')
	CLOSE(UNIT=10)
	RETURN
C
C This updates the original data file
C
	ENTRY WRITE_PARAM(PARAM,A_STEP)
        IF (BATCH) THEN
	  OPEN (UNIT=1,FILE=TAG(1:TAGLEN)//'.PAR2_AUTO',STATUS='NEW')
        ELSE
	  OPEN (UNIT=1,FILE=TAG(1:TAGLEN)//'.PAR2_'//A_STEP,STATUS='NEW')
        END IF
        WRITE (1,200) A, A_LOGIC, ' AX AY AZ'
        WRITE (1,200) B, B_LOGIC, ' BX BY BZ'
        WRITE (1,200) C, C_LOGIC, ' CX CY CZ'
  200 	FORMAT(3F15.5,3X,3I2,A9)
C New lines
	WRITE (1,*) N_CHAINS, ' Number of polymer chains' 
	WRITE (1,*) 
	2 '    Pos.A     Pos.B    Pos.C   Monomer Type'
	  IF (N_CHAINS.NE.0) THEN
	    DO I=1,N_CHAINS
	    WRITE(1,201) X_START(I)+PARAM(X_LOGIC(I)),
     *  	         Y_START(I) +PARAM(Y_LOGIC(I)),
     *  	         Z_START(I) +PARAM(Z_LOGIC(I)),
     *                   MONO_TYPE(I)
  201	    FORMAT(3F10.4,I4)
	    WRITE(1,202) X_LOGIC(I),Y_LOGIC(I),Z_LOGIC(I)
  202	    FORMAT(I8,2I10)
	    END DO
	  END IF
        WRITE(1,205)N_MONO
  205   FORMAT(I4,' Number of monomer types.')
 
        WRITE (1,*) ' Monomer Type |Rotation |BOND     |BondXZ   ',
     *              '|BondXY   |Dihedral |Reflection'
        IF(N_MONO.NE.0)THEN
        DO I=1,N_MONO
           IF (MONO_DAT(I).EQ.1) MONO_CHAR='THIO' 
           IF (MONO_DAT(I).EQ.2) MONO_CHAR='PPVH6' 
           IF (MONO_DAT(I).EQ.3) MONO_CHAR='PPVD2'
           IF (MONO_DAT(I).EQ.4) MONO_CHAR='PPVD4'
           IF (MONO_DAT(I).EQ.5) MONO_CHAR='PPVD6'
           IF (MONO_DAT(I).EQ.6) MONO_CHAR='PPV'
           IF (MONO_DAT(I).EQ.7) MONO_CHAR='I3'
           WRITE(1,203) QUOTE,MONO_CHAR,QUOTE,I,SET_ANG(I)
     *                  +PARAM(SET_LOGIC(I)),
     *                  BOND_ANG(I) +PARAM(BOND_LOGIC(I)),
     *                  BONDXZ_ANG(I)+PARAM(BONDXZ_LOGIC(I)),
     *                  BONDXY_ANG(I)+PARAM(BONDXY_LOGIC(I)),
     *                  DI_ANG(I)+PARAM(DI_LOGIC(I)),REFLECT(I)
           WRITE(1,204) SET_LOGIC(I),BOND_LOGIC(I),BONDXZ_LOGIC(I),
     *                  BONDXY_LOGIC(I),DI_LOGIC(I)
        END DO
  203   FORMAT(A1,A7,A1,I4,5F10.4,I10)
  204   FORMAT(I22,4I10)
        END IF

	WRITE (1,*) IN_ATOMS, ' Number of free atoms in unit cell'
	WRITE (1,*) 
	2 '    Pos.AA    Pos.BA   Pos.CA   A-type  A-fraction A-special'
	  IF (IN_ATOMS.NE.0) THEN
	    DO I=1,IN_ATOMS
	    WRITE(1,211) XA_START(I)+PARAM(XA_LOGIC(I)),
	2 	YA_START(I) +PARAM(YA_LOGIC(I)),
	2 	ZA_START(I) +PARAM(ZA_LOGIC(I)),
	2 	A_TYPE(I)   +INT(PARAM(A_TYPE_LOGIC(I))),
	2 	A_FRAC(I)  +PARAM(A_FRAC_LOGIC(I)),
	2 	A_SPECIAL(I)+PARAM(A_SPECIAL_LOGIC(I))
	    WRITE(1,212) XA_LOGIC(I),YA_LOGIC(I),ZA_LOGIC(I),
	2 	A_TYPE_LOGIC(I),A_FRAC_LOGIC(I),A_SPECIAL_LOGIC(I)
	    END DO
	  END IF 
  211	    FORMAT(3F10.4,I10,2F10.4)
  212	    FORMAT(I8,5I10)
C End of lines
        WRITE(1,*)' BTemp_x    BTemp_y    afa(lib.)  BZ_T       Dih-Lib'
        WRITE (1,900) BT1+PARAM(DEBYE_LOGIC(1)),
	2 BT2+PARAM(DEBYE_LOGIC(2)),AFA+PARAM(DEBYE_LOGIC(3)),
	2 BT3+PARAM(DEBYE_LOGIC(4)),SIDE_LIB+PARAM(DEBYE_LOGIC(5))
  900	FORMAT(5E11.4)
 	WRITE (1,901) (DEBYE_LOGIC(I),I=1,5)
  901   FORMAT(5I11)
        WRITE (1,*) REDUCE+PARAM(SCALE_LOGIC(1)),
	2 	XP+PARAM(SCALE_LOGIC(2)),' Anisotropy  , shape factor'
	WRITE (1,*) (SCALE_LOGIC(I),I=1,2)
C
        write (1,*)'         layer1          layer2           layer3',
     *                                             '           layer4'
        write (1,*)'  peakwidth   peak|peakwidth   peak|peakwidth',
     *                                      '   peak|peakwidth   peak'
	  DO I=1,10
	     WRITE (1,93) PWIDTH(1,I)+PARAM(P_LOGIC(1,I)),P_LOGIC(1,I),
     *       P_PEAK(1,I),PWIDTH(2,I)+PARAM(P_LOGIC(2,I)),P_LOGIC(2,I),
     *       P_PEAK(2,I),PWIDTH(3,I)+PARAM(P_LOGIC(3,I)),P_LOGIC(3,I),
     *       P_PEAK(3,I),PWIDTH(4,I)+PARAM(P_LOGIC(4,I)),P_LOGIC(4,I),
     *       P_PEAK(4,I)
	  END DO
   93     FORMAT(F9.5,I4,I4,F9.5,I4,I4,F9.5,I4,I4,F9.5,I4,I4)
C
	  DO J=1,50
	  IF (PAR_VAL(J).NE.0)
	2 WRITE (1,*) J, 0.0,PAR_DELTA(J),PAR_MIN(J)-PARAM(J),
	2 PAR_MAX(J)-PARAM(J)
	  END DO 	
C
 	CLOSE(1)
	RETURN
C
	ENTRY UPDATE_FIT_PAR(PARAM)
	OPEN(unit=10,name='FIT.DAT',type='new')
	WRITE(10,100) 
	  DO I=1,20
	    IF (ABS(PAR_MIN(I)).GT.10. .OR. ABS(PAR_MAX(I).GT.10.))
	2   THEN 
	    WRITE(10,121) 
	2   I,I,PARAM(I),PAR_DELTA(I),PAR_MIN(I),PAR_MAX(I)
	    ELSE 
	    WRITE(10,101)
	2   I,I,PARAM(I),PAR_DELTA(I),PAR_MIN(I),PAR_MAX(I)
	    END IF
	  END DO
	WRITE(10,102)
	  DO I=1,20
	  WRITE(10,103) FLOAT(I)
	  END DO
	WRITE(10,104)
	WRITE(10,105)
	CLOSE(UNIT=10)
	RETURN
	END
C
C
C	REAL PARAM(-50:50)
C	CALL GET_PARAMETERS(PARAM)
C	CALL WRITE_PARAM(PARAM)
C	STOP
C	END
C
	SUBROUTINE GET_PARAMETERS_MJW(PARAM)
C
	REAL*4 A,B,C,A0,B0,C0,SET_ANG,BOND_ANG,DI_ANG,
	2 X_START,Y_START,Z_START
	REAL*4 PWIDTH,REDUCE,XP,TEMP
	INTEGER*4 A_LOGIC,B_LOGIC,C_LOGIC,SCALE_LOGIC,DEBYE_LOGIC
C Logical parameters associated with the polymer chains in the unit cell
	INTEGER*4 BOND_LOGIC,P_LOGIC,X_LOGIC,P_PEAK,
	2 Y_LOGIC,Z_LOGIC,DI_LOGIC,SET_LOGIC,MONO_TYPE
C
	REAL*4 PARAM(-50:50),PAR_MIN(0:50),PAR_MAX(0:50),
	2 PAR_DELTA(0:50)
	INTEGER*4 PAR_VAL(0:50),LINK_LIST(20)
C Parameters associated with free atoms in cell
	REAL*4 XA_START,YA_START,ZA_START,A_FRAC,A_SPECIAL
	INTEGER*4 A_TYPE,XA_LOGIC,YA_LOGIC,ZA_LOGIC,
	2 A_TYPE_LOGIC,A_FRAC_LOGIC,A_SPECIAL_LOGIC,IN_ATOMS
	REAL*4 BONDXY_ANG,BONDXZ_ANG
	character*3 a_step
	INTEGER*4 BONDXY_LOGIC,BOND_XZ_LOGIC
	INTEGER*4 MONO_DAT,MAXDOPANT
	PARAMETER(MAXDOPANT=500)
C
	LOGICAL*1 PAR_FLAG(0:50)
      COMMON/INPUTS_A/  A_LOGIC(3),B_LOGIC(3),C_LOGIC(3),
     *                  SET_LOGIC(200),BOND_LOGIC(200),
     *                  BONDXZ_LOGIC(200),BONDXY_LOGIC(200),
     *                  DI_LOGIC(200),X_LOGIC(200),Y_LOGIC(200),
     *                  Z_LOGIC(200),MONO_DAT(200)
      COMMON/INPUTS_ATOMS/XA_START(MAXDOPANT),YA_START(MAXDOPANT),
     *                  ZA_START(MAXDOPANT),A_FRAC(MAXDOPANT),
     *                  A_SPECIAL(MAXDOPANT),A_TYPE(MAXDOPANT),
     *                  XA_LOGIC(MAXDOPANT),YA_LOGIC(MAXDOPANT),
     *                  ZA_LOGIC(MAXDOPANT),A_TYPE_LOGIC(MAXDOPANT),
     *                  A_FRAC_LOGIC(MAXDOPANT),
     *                  A_SPECIAL_LOGIC(MAXDOPANT),IN_ATOMS

      COMMON/INPUTS_A1/ SET_ANG(200),BOND_ANG(200),BONDXZ_ANG(200),
     *                  BONDXY_ANG(200),DI_ANG(200),REFLECT(200),
     *                  X_START(200),Y_START(200),Z_START(200),
     *                  MONO_TYPE(200),N_CHAINS,N_MONO
	COMMON/INPUTS_A2/BT1,BT2,afa,DEBYE_LOGIC(10),BT3,SIDE_LIB
	COMMON/INPUTS_B1/PWIDTH(4,10),REDUCE,XP,P_LOGIC(4,10),
	2 SCALE_LOGIC(10)
	COMMON/VECTORS/A(3),B(3),C(3),A0(3),B0(3),C0(3)
	COMMON/KEEPERS/P_PEAK(4,10)
C
	  DO I=0,50
	  PAR_FLAG(I)=.FALSE.
	  END DO	
C
	OPEN (UNIT=1,FILE='SF_MC.PAR2',STATUS='OLD')
        READ (1,*) A0, A_LOGIC
        READ (1,*) B0, B_LOGIC
        READ (1,*) C0, C_LOGIC
	  DO I=1,3
	  PAR_FLAG(IABS(A_LOGIC(I)))=.TRUE.
	  PAR_FLAG(IABS(B_LOGIC(I)))=.TRUE.
	  PAR_FLAG(IABS(C_LOGIC(I)))=.TRUE.
	  END DO 
C New lines
	READ (1,*) N_CHAINS
	READ(1,*)  ! Dummy line
	  IF (N_CHAINS.NE.0) THEN
	    DO I=1,N_CHAINS
	    READ(1,*) X_START(I),Y_START(I),
	2 Z_START(I),SET_ANG(I),BOND_ANG(I),DI_ANG(I),MONO_TYPE(I)
	    READ(1,*) X_LOGIC(I),Y_LOGIC(I),Z_LOGIC(I),
	2 SET_LOGIC(I),BOND_LOGIC(I),DI_LOGIC(I)
	    PAR_FLAG(IABS(X_LOGIC(I)))=.TRUE.
	    PAR_FLAG(IABS(Y_LOGIC(I)))=.TRUE.
	    PAR_FLAG(IABS(Z_LOGIC(I)))=.TRUE.
	    PAR_FLAG(IABS(SET_LOGIC(I)))=.TRUE.
	    PAR_FLAG(IABS(BOND_LOGIC(I)))=.TRUE.
	    PAR_FLAG(IABS(DI_LOGIC(I)))=.TRUE.
	    END DO
	  END IF 
C End of lines
C New lines
	READ (1,*) IN_ATOMS
	READ(1,*)  ! Dummy line
	  IF (IN_ATOMS.NE.0) THEN
	    DO I=1,IN_ATOMS
	    READ(1,*) XA_START(I),YA_START(I),
	2 ZA_START(I),A_TYPE(I),A_FRAC(I),A_SPECIAL(I)
	    READ(1,*) XA_LOGIC(I),YA_LOGIC(I),ZA_LOGIC(I),
	2 A_TYPE_LOGIC(I),A_FRAC_LOGIC(I),A_SPECIAL_LOGIC(I)
	    PAR_FLAG(IABS(XA_LOGIC(I)))=.TRUE.
	    PAR_FLAG(IABS(YA_LOGIC(I)))=.TRUE.
	    PAR_FLAG(IABS(ZA_LOGIC(I)))=.TRUE.
	    PAR_FLAG(IABS(A_TYPE_LOGIC(I)))=.TRUE.
	    PAR_FLAG(IABS(A_FRAC_LOGIC(I)))=.TRUE.
	    PAR_FLAG(IABS(A_SPECIAL_LOGIC(I)))=.TRUE.
	    END DO
	  END IF 
C End of lines
        READ (1,*) BT1,BT2,afa,BT3
	READ (1,*) (DEBYE_LOGIC(I),I=1,4)
        READ (1,*) REDUCE,XP
	READ (1,*) (SCALE_LOGIC(I),I=1,2)
	  DO I=1,10
	  PAR_FLAG(IABS(DEBYE_LOGIC(I)))=.TRUE.
	  PAR_FLAG(IABS(SCALE_LOGIC(I)))=.TRUE.
	  END DO
C
	  DO I=1,10
	  READ (1,*,ERR=15) PWIDTH(1,I),P_LOGIC(1,I),P_PEAK(1,I)
  15	  PAR_FLAG(IABS(P_LOGIC(1,I)))=.TRUE.
  	  END DO
C
	  DO I=1,50
	  READ (1,*,END=20,err=16) PAR_VAL(0),PARAM(0),PAR_DELTA(0),
	2 PAR_MIN(0),PAR_MAX(0)
  16	  IF (PAR_VAL(0).EQ.0) GOTO 20
	    IF (PAR_MAX(0).LT. PAR_MIN(0)) THEN
	    TEMP=PAR_MIN(0)
	    PAR_MIN(0)=PAR_MAX(0)
	    PAR_MAX(0)=TEMP
	    END IF
	    IF (PAR_MAX(0)-PAR_MIN(0) .LT. 0.00002 ) THEN
	    PAR_MIN(0)=PARAM(0)-1.
	    PAR_MAX(0)=PARAM(0)+1.
	    END IF
C
	    IF (PARAM(0).LT.PAR_MIN(0) .OR.
	2	PARAM(0).GT.PAR_MAX(0)) THEN
	    TEMP=0.5*(PAR_MAX(0)-PAR_MIN(0))
	    PAR_MIN(0)=PARAM(0)-TEMP
	    PAR_MAX(0)=PARAM(0)+TEMP
	    END IF
C
	  IF (PAR_DELTA(0).LT. 0.00002) PAR_DELTA(0)=0.005
	  J=PAR_VAL(0)
	  PAR_VAL(J)   = PAR_VAL(0)
	  PARAM(J)     = PARAM(0)
	  PAR_DELTA(J) = PAR_DELTA(0) 
	  PAR_MIN(J)   = PAR_MIN(0)
	  PAR_MAX(J)   = PAR_MAX(0)
   20	  END DO 	
  	CLOSE(1)
	 DO I=1,50
	 PARAM(-I)=-PARAM(I)
	 END DO
	  IF (REDUCE.LT.0.0 .OR. XP.LT. 0.0 .OR. XP.GT. 1.0 ) THEN
	  TYPE *, 'Parameter SCALE or SHAPE is out of bounds'
	  END IF
C
	OPEN(unit=10,name='fit.DAT',type='new')
	WRITE(10,100) 
  100	FORMAT('TITLE')
	  DO I=1,50
	  IF (PAR_FLAG(I) .AND. PAR_VAL(I).LT.21) 
	2	LINK_LIST(PAR_VAL(I))=I
	  END DO
	  DO J=1,20
	  I=LINK_LIST(J)
	    IF (I.EQ.0) THEN
	    WRITE(10,111) J,J,0.0,0.001,-1.,1.
	    ELSE IF 
	2 (ABS(PAR_MIN(I)).GT.10. .OR. ABS(PAR_MAX(I).GT.10.)) THEN 
	    WRITE(10,121) 
	2   I,I,PARAM(I),PAR_DELTA(I),PAR_MIN(I),PAR_MAX(I)
	    ELSE 
	    WRITE(10,101)
	2   I,I,PARAM(I),PAR_DELTA(I),PAR_MIN(I),PAR_MAX(I)
	    END IF
	  END DO
	PARAM(0)=0.0
  101 	FORMAT(I10,' XPM(',I2,') ',3X,F7.5,3X,F7.5,2X,F8.5,3X,F7.5)
  121 	FORMAT(I10,' XPM(',I2,') ',3X,F7.3,3X,F7.3,2X,F8.3,3X,F7.3)
  111 	FORMAT(I10,' XPM(',I2,')  ',4F10.5,1X)
	WRITE(10,102)
  102	FORMAT()
	  DO I=1,20
	  WRITE(10,103) FLOAT(I)
	  END DO
  103	FORMAT('FIX',12X,F3.0)
	WRITE(10,104)
  104	FORMAT('SIMPLEX')
	WRITE(10,105)
  105	FORMAT('END RETURN')
	CLOSE(UNIT=10)
	RETURN
C
C This updates the original data file
C
	ENTRY WRITE_PARAM_MJW(PARAM,A_STEP)
	OPEN (UNIT=1,FILE='SF.PAR2_'//A_STEP,STATUS='NEW')
        WRITE (1,200) A, A_LOGIC, ' AX AY AZ'
        WRITE (1,200) B, B_LOGIC, ' BX BY BZ'
        WRITE (1,200) C, C_LOGIC, ' CX CY CZ'
  200 	FORMAT(3F15.5,3X,3I2,A9)
C New lines
	WRITE (1,*) N_CHAINS, ' Number of polymer chains' 
	WRITE (1,*) 
	2 '    Pos.A     Pos.B    Pos.C |SETTING ang.|BOND ang.|DIHEDRAL'
	  IF (N_CHAINS.NE.0) THEN
	    DO I=1,N_CHAINS
	    WRITE(1,201) X_START(I)+PARAM(X_LOGIC(I)),
	2 	Y_START(I) +PARAM(Y_LOGIC(I)),
	2 	Z_START(I) +PARAM(Z_LOGIC(I)),
	2 	SET_ANG(I) +PARAM(SET_LOGIC(I)),
	2 	BOND_ANG(I)+PARAM(BOND_LOGIC(I)),
	2 	DI_ANG(I)+PARAM(DI_LOGIC(I)),MONO_TYPE(I)
  201	FORMAT(6F10.4,I4)
	    WRITE(1,202) X_LOGIC(I),Y_LOGIC(I),Z_LOGIC(I),
	2 	SET_LOGIC(I),BOND_LOGIC(I),DI_LOGIC(I)
  202	FORMAT(I8,5I10)
	    END DO
	  END IF 
C End of lines
C New lines
	WRITE (1,*) IN_ATOMS, ' Number of free atoms in unit cell'
	WRITE (1,*) 
	2 '    Pos.AA    Pos.BA   Pos.CA   A-type  A-fraction A-special'
	  IF (IN_ATOMS.NE.0) THEN
	    DO I=1,IN_ATOMS
	    WRITE(1,201) XA_START(I)+PARAM(XA_LOGIC(I)),
	2 	YA_START(I) +PARAM(YA_LOGIC(I)),
	2 	ZA_START(I) +PARAM(ZA_LOGIC(I)),
	2 	A_TYPE(I)   +PARAM(A_TYPE_LOGIC(I)),
	2 	A_FRAC(I)  +PARAM(A_FRAC_LOGIC(I)),
	2 	A_SPECIAL(I)+PARAM(A_SPECIAL_LOGIC(I))
	    WRITE(1,202) XA_LOGIC(I),YA_LOGIC(I),ZA_LOGIC(I),
	2 	A_TYPE_LOGIC(I),A_FRAC_LOGIC(I),A_SPECIAL_LOGIC(I)
	    END DO
	  END IF 
C End of lines
        WRITE (1,900) BT1+PARAM(DEBYE_LOGIC(1)),
	2 BT2+PARAM(DEBYE_LOGIC(2)),AFA+PARAM(DEBYE_LOGIC(3)),
	2 BT3+PARAM(DEBYE_LOGIC(4))
  900	FORMAT(1X,E10.4,1X,E10.4,1X,E10.4,1X,E10.4,
	2 ' BTemp_x BTemp_y afa(lib.),BZ_T')
	WRITE (1,*) (DEBYE_LOGIC(I),I=1,4)
        WRITE (1,*) REDUCE+PARAM(SCALE_LOGIC(1)),
	2 	XP+PARAM(SCALE_LOGIC(2)),' Scale factor, shape factor'
	WRITE (1,*) (SCALE_LOGIC(I),I=1,2)
C
	  DO I=1,10
	  WRITE (1,*) 
	2 PWIDTH(1,I)+PARAM(P_LOGIC(1,I)),P_LOGIC(1,I),P_PEAK(1,I)
	  END DO
C
	  DO J=1,50
	  IF (PAR_VAL(J).NE.0)
	2 WRITE (1,*) J, 0.0,PAR_DELTA(J),PAR_MIN(J)-PARAM(J),
	2 PAR_MAX(J)-PARAM(J)
	  END DO 	
C
 	CLOSE(1)
	RETURN
C
	ENTRY UPDATE_FIT_PAR_MJW(PARAM)
	OPEN(unit=10,name='FIT.DAT',type='new')
	WRITE(10,100) 
	  DO I=1,20
	    IF (ABS(PAR_MIN(I)).GT.10. .OR. ABS(PAR_MAX(I).GT.10.))
	2   THEN 
	    WRITE(10,121) 
	2   I,I,PARAM(I),PAR_DELTA(I),PAR_MIN(I),PAR_MAX(I)
	    ELSE 
	    WRITE(10,101)
	2   I,I,PARAM(I),PAR_DELTA(I),PAR_MIN(I),PAR_MAX(I)
	    END IF
	  END DO
	WRITE(10,102)
	  DO I=1,20
	  WRITE(10,103) FLOAT(I)
	  END DO
	WRITE(10,104)
	WRITE(10,105)
	CLOSE(UNIT=10)
	RETURN
	END

