
C	A test driver
C       implicit none
C	include 'model.inc'
C	integer grid,grid_map,grid_size,grid_pts
C	real*8 grid_rot,E,E_b,E_c
C	real*4 b_occup,c_occup
C Array sizes and initialization values for above in 'model.inc'
C	real*4 angle/120./
C	call mc_grid_plot(angle)
C	end                    
C
C This draw an image on the workstation
C
C The input parameters are:
C batch (logical*1)
C angle
C GRID_SIZE, GRID_PTS
C GRID_MAP(2,144)
C GRID_ROT(GRID_PTS)
C N_SIDES
C GRID_X(GRID_PTS)
C GRID_Y(GRID_PTS)
C GRID_BX(GRID_PTS)
C GRID_BY(GRID_PTS)
C GRID_CX(GRID_PTS)
C GRID_CY(GRID_PTS)
C B_OCCUP(GRID_PTS) 
C C_OCCUP(GRID_PTS) 
C MOVE_LIST(800),N_MOVE,N_TYPE(800)
C alpha*8,beta*8,ggamma*8,e_ave*8,e_rms*8,n_steps,
C temperature*8, b_occup_frac, c_occup_frac,delta*8,rad0,rad1
C dater,timer
C
	SUBROUTINE MC_GRID_PLOT(batch)
        implicit none
C	EXTERNAL CLI$M_NOWAIT,CLI$M_NOTIFY
	include 'model.inc'
c	integer grid,grid_map,grid_size,grid_pts
c	real*8 E,E_b,E_c
c	real*4 b_occup,c_occup
C Array sizes and initialization values for above in 'model.inc'
	integer n_sides
	integer n_steps,hard_type,number
	real*8 alpha,beta,ggamma,e_ave,e_rms,temperature,delta,delta_2
	real*4 b_occup_frac,c_occup_frac,rad0,rad1
	INTEGER MOVE_LIST(800),N_MOVE,N_TYPE(800), J
	logical*1 batch
	character*8  timer,dater*9
C
	RETURN

C Plot three-fold sites
	
	ENTRY PLOT_3_FOLD
	return

C Plot three-fold sites	

	ENTRY PLOT_N_FOLD(N_SIDES)
	return

C Plot dopant sites
	
	entry PLOT_DOPANT        	

  99	RETURN

	ENTRY plot_moves(move_list,n_move,N_TYPE)
	RETURN

C
C	call plot_MC_info(alpha,beta,ggamma,e_ave,e_rms,n_steps,
	entry plot_MC_info(alpha,beta,ggamma,e_ave,e_rms,n_steps,
	2 temperature,delta,delta_2,rad0,rad1)
	return
C
	ENTRY PLOT_HC_MODEL(HARD_TYPE)
	RETURN
	
	ENTRY DISABLE_GRAPHICS
	RETURN

	ENTRY ENABLE_GRAPHICS
	RETURN
                    
	ENTRY DATA_TO_DISK(N_Sides,batch,move_list,n_move,N_type,
	2 alpha,beta,ggamma,e_ave,e_rms,n_steps,
	2 temperature,delta,delta_2,rad0,rad1)
	call time(timer)
	call date(dater)
	open(unit=17,name='monte_carlo.tmp',form='unformatted',
	2 status='new')
	write(17) grid_size,grid_pts,n_sides,n_move
	write(17) batch
	write(17) angle
	write(17) alpha,beta,ggamma,e_ave,e_rms,n_steps,
	2 temperature,delta,delta_2,rad0,rad1,dater,timer
	write(17) GRID_MAP,GRID_ROT
	write(17) B_OCCUP,C_OCCUP
	write(17) GRID_X,GRID_Y,GRID_BX,GRID_BY,GRID_CX,GRID_CY
	write(17) MOVE_LIST(800),N_MOVE,N_TYPE(800)
	close(unit=17)

!	STATUS=LIB$SPAWN('@MODEL_PLOT_BATCH.COM',
!	2 , ! PLOT_DISK//'HARDCOPY.DAT',
!	2 , ! PLOT_DISK//'HARDCOPY.DAT',
!	2 MASK,'MC_PLOT')

        return
	END

